import { defineComponent as G, computed as X, watch as ze, h as On, ref as M, openBlock as S, createElementBlock as I, createElementVNode as p, renderSlot as Ee, createVNode as K, unref as w, createBlock as ke, withCtx as Z, createTextVNode as De, toDisplayString as A, withDirectives as ae, Fragment as ve, renderList as pe, vModelSelect as ca, vModelText as fe, render as ne, createCommentVNode as ce, normalizeClass as Oe, mergeModels as at, useModel as Lt, nextTick as fa, onMounted as Tn, onBeforeMount as ua, normalizeStyle as ma, isRef as Qt, Teleport as da } from "vue";
import { Codemirror as va } from "vue-codemirror";
import { EditorView as Jt } from "@codemirror/view";
import pa from "remark-gfm";
import { EditorSelection as B } from "@codemirror/state";
import { markdown as ga, markdownLanguage as ba } from "@codemirror/lang-markdown";
import { commonmarkLanguage as Us, markdown as Ws, markdownLanguage as Gs } from "@codemirror/lang-markdown";
import { unified as ha } from "unified";
import ya from "remark-parse";
import ka from "remark-rehype";
import wa from "rehype-stringify";
import { throttle as xa, debounce as _a } from "lodash-es";
const Aa = "horizontal", Ca = "bold", Sa = "italic", Oa = "strikethrough", Ta = "quote", Ea = "help", Na = " character", Ma = "confirm", Pa = "cancel", za = "code", Ia = "link", La = "image", Ha = "table", Zt = {
  "increase-level": "increase headline",
  "decrease-level": "decrease headline",
  horizontal: Aa,
  bold: Ca,
  italic: Sa,
  strikethrough: Oa,
  quote: Ta,
  "unordered-list": "unordered list",
  "ordered-list": "ordered list",
  "task-list": "task list",
  "only-editor": "editor only",
  "only-viewer": "viewer only",
  "full-screen": "fullscreen",
  help: Ea,
  "release-to-update": "release to upload",
  character: Na,
  "character-count": "character count: ",
  "sync-disable": "disable sync",
  "sync-enable": "enable sync",
  "back-to-top": "back to top",
  confirm: Ma,
  cancel: Pa,
  code: za,
  "code-insert": "insert code",
  "code-select": "select language",
  link: Ia,
  "link-insert": "insert link",
  "link-url": "url",
  "link-alt": "alt",
  image: La,
  "image-insert": "insert image",
  "image-url": "url",
  "image-alt": "alt",
  table: Ha,
  "table-insert": "insert table",
  "table-rows": "rows",
  "table-cols": "cols",
  "table-edit": "edit"
};
function en(e, t) {
  var n = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var a = Object.getOwnPropertySymbols(e);
    t && (a = a.filter(function(r) {
      return Object.getOwnPropertyDescriptor(e, r).enumerable;
    })), n.push.apply(n, a);
  }
  return n;
}
function g(e) {
  for (var t = 1; t < arguments.length; t++) {
    var n = arguments[t] != null ? arguments[t] : {};
    t % 2 ? en(Object(n), !0).forEach(function(a) {
      D(e, a, n[a]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(n)) : en(Object(n)).forEach(function(a) {
      Object.defineProperty(e, a, Object.getOwnPropertyDescriptor(n, a));
    });
  }
  return e;
}
function rt(e) {
  "@babel/helpers - typeof";
  return rt = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(t) {
    return typeof t;
  } : function(t) {
    return t && typeof Symbol == "function" && t.constructor === Symbol && t !== Symbol.prototype ? "symbol" : typeof t;
  }, rt(e);
}
function $a(e, t) {
  if (!(e instanceof t))
    throw new TypeError("Cannot call a class as a function");
}
function Ra(e, t) {
  for (var n = 0; n < t.length; n++) {
    var a = t[n];
    a.enumerable = a.enumerable || !1, a.configurable = !0, "value" in a && (a.writable = !0), Object.defineProperty(e, a.key, a);
  }
}
function Da(e, t, n) {
  return t && Ra(e.prototype, t), Object.defineProperty(e, "prototype", {
    writable: !1
  }), e;
}
function D(e, t, n) {
  return t in e ? Object.defineProperty(e, t, {
    value: n,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : e[t] = n, e;
}
function Ht(e, t) {
  return ja(e) || Ba(e, t) || En(e, t) || Ua();
}
function Fe(e) {
  return Fa(e) || Va(e) || En(e) || Ya();
}
function Fa(e) {
  if (Array.isArray(e))
    return xt(e);
}
function ja(e) {
  if (Array.isArray(e))
    return e;
}
function Va(e) {
  if (typeof Symbol < "u" && e[Symbol.iterator] != null || e["@@iterator"] != null)
    return Array.from(e);
}
function Ba(e, t) {
  var n = e == null ? null : typeof Symbol < "u" && e[Symbol.iterator] || e["@@iterator"];
  if (n != null) {
    var a = [], r = !0, i = !1, o, s;
    try {
      for (n = n.call(e); !(r = (o = n.next()).done) && (a.push(o.value), !(t && a.length === t)); r = !0)
        ;
    } catch (l) {
      i = !0, s = l;
    } finally {
      try {
        !r && n.return != null && n.return();
      } finally {
        if (i)
          throw s;
      }
    }
    return a;
  }
}
function En(e, t) {
  if (e) {
    if (typeof e == "string")
      return xt(e, t);
    var n = Object.prototype.toString.call(e).slice(8, -1);
    if (n === "Object" && e.constructor && (n = e.constructor.name), n === "Map" || n === "Set")
      return Array.from(e);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))
      return xt(e, t);
  }
}
function xt(e, t) {
  (t == null || t > e.length) && (t = e.length);
  for (var n = 0, a = new Array(t); n < t; n++)
    a[n] = e[n];
  return a;
}
function Ya() {
  throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
function Ua() {
  throw new TypeError(`Invalid attempt to destructure non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
var tn = function() {
}, $t = {}, Nn = {}, Mn = null, Pn = {
  mark: tn,
  measure: tn
};
try {
  typeof window < "u" && ($t = window), typeof document < "u" && (Nn = document), typeof MutationObserver < "u" && (Mn = MutationObserver), typeof performance < "u" && (Pn = performance);
} catch {
}
var Wa = $t.navigator || {}, nn = Wa.userAgent, an = nn === void 0 ? "" : nn, ue = $t, z = Nn, rn = Mn, We = Pn;
ue.document;
var se = !!z.documentElement && !!z.head && typeof z.addEventListener == "function" && typeof z.createElement == "function", zn = ~an.indexOf("MSIE") || ~an.indexOf("Trident/"), Ge, qe, Xe, Ke, Qe, re = "___FONT_AWESOME___", _t = 16, In = "fa", Ln = "svg-inline--fa", he = "data-fa-i2svg", At = "data-fa-pseudo-element", Ga = "data-fa-pseudo-element-pending", Rt = "data-prefix", Dt = "data-icon", on = "fontawesome-i2svg", qa = "async", Xa = ["HTML", "HEAD", "STYLE", "SCRIPT"], Hn = function() {
  try {
    return process.env.NODE_ENV === "production";
  } catch {
    return !1;
  }
}(), P = "classic", H = "sharp", Ft = [P, H];
function je(e) {
  return new Proxy(e, {
    get: function(n, a) {
      return a in n ? n[a] : n[P];
    }
  });
}
var Ie = je((Ge = {}, D(Ge, P, {
  fa: "solid",
  fas: "solid",
  "fa-solid": "solid",
  far: "regular",
  "fa-regular": "regular",
  fal: "light",
  "fa-light": "light",
  fat: "thin",
  "fa-thin": "thin",
  fad: "duotone",
  "fa-duotone": "duotone",
  fab: "brands",
  "fa-brands": "brands",
  fak: "kit",
  fakd: "kit",
  "fa-kit": "kit",
  "fa-kit-duotone": "kit"
}), D(Ge, H, {
  fa: "solid",
  fass: "solid",
  "fa-solid": "solid",
  fasr: "regular",
  "fa-regular": "regular",
  fasl: "light",
  "fa-light": "light",
  fast: "thin",
  "fa-thin": "thin"
}), Ge)), Le = je((qe = {}, D(qe, P, {
  solid: "fas",
  regular: "far",
  light: "fal",
  thin: "fat",
  duotone: "fad",
  brands: "fab",
  kit: "fak"
}), D(qe, H, {
  solid: "fass",
  regular: "fasr",
  light: "fasl",
  thin: "fast"
}), qe)), He = je((Xe = {}, D(Xe, P, {
  fab: "fa-brands",
  fad: "fa-duotone",
  fak: "fa-kit",
  fal: "fa-light",
  far: "fa-regular",
  fas: "fa-solid",
  fat: "fa-thin"
}), D(Xe, H, {
  fass: "fa-solid",
  fasr: "fa-regular",
  fasl: "fa-light",
  fast: "fa-thin"
}), Xe)), Ka = je((Ke = {}, D(Ke, P, {
  "fa-brands": "fab",
  "fa-duotone": "fad",
  "fa-kit": "fak",
  "fa-light": "fal",
  "fa-regular": "far",
  "fa-solid": "fas",
  "fa-thin": "fat"
}), D(Ke, H, {
  "fa-solid": "fass",
  "fa-regular": "fasr",
  "fa-light": "fasl",
  "fa-thin": "fast"
}), Ke)), Qa = /fa(s|r|l|t|d|b|k|ss|sr|sl|st)?[\-\ ]/, $n = "fa-layers-text", Ja = /Font ?Awesome ?([56 ]*)(Solid|Regular|Light|Thin|Duotone|Brands|Free|Pro|Sharp|Kit)?.*/i, Za = je((Qe = {}, D(Qe, P, {
  900: "fas",
  400: "far",
  normal: "far",
  300: "fal",
  100: "fat"
}), D(Qe, H, {
  900: "fass",
  400: "fasr",
  300: "fasl",
  100: "fast"
}), Qe)), Rn = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10], er = Rn.concat([11, 12, 13, 14, 15, 16, 17, 18, 19, 20]), tr = ["class", "data-prefix", "data-icon", "data-fa-transform", "data-fa-mask"], ge = {
  GROUP: "duotone-group",
  SWAP_OPACITY: "swap-opacity",
  PRIMARY: "primary",
  SECONDARY: "secondary"
}, $e = /* @__PURE__ */ new Set();
Object.keys(Le[P]).map($e.add.bind($e));
Object.keys(Le[H]).map($e.add.bind($e));
var nr = [].concat(Ft, Fe($e), ["2xs", "xs", "sm", "lg", "xl", "2xl", "beat", "border", "fade", "beat-fade", "bounce", "flip-both", "flip-horizontal", "flip-vertical", "flip", "fw", "inverse", "layers-counter", "layers-text", "layers", "li", "pull-left", "pull-right", "pulse", "rotate-180", "rotate-270", "rotate-90", "rotate-by", "shake", "spin-pulse", "spin-reverse", "spin", "stack-1x", "stack-2x", "stack", "ul", ge.GROUP, ge.SWAP_OPACITY, ge.PRIMARY, ge.SECONDARY]).concat(Rn.map(function(e) {
  return "".concat(e, "x");
})).concat(er.map(function(e) {
  return "w-".concat(e);
})), Ne = ue.FontAwesomeConfig || {};
function ar(e) {
  var t = z.querySelector("script[" + e + "]");
  if (t)
    return t.getAttribute(e);
}
function rr(e) {
  return e === "" ? !0 : e === "false" ? !1 : e === "true" ? !0 : e;
}
if (z && typeof z.querySelector == "function") {
  var ir = [["data-family-prefix", "familyPrefix"], ["data-css-prefix", "cssPrefix"], ["data-family-default", "familyDefault"], ["data-style-default", "styleDefault"], ["data-replacement-class", "replacementClass"], ["data-auto-replace-svg", "autoReplaceSvg"], ["data-auto-add-css", "autoAddCss"], ["data-auto-a11y", "autoA11y"], ["data-search-pseudo-elements", "searchPseudoElements"], ["data-observe-mutations", "observeMutations"], ["data-mutate-approach", "mutateApproach"], ["data-keep-original-source", "keepOriginalSource"], ["data-measure-performance", "measurePerformance"], ["data-show-missing-icons", "showMissingIcons"]];
  ir.forEach(function(e) {
    var t = Ht(e, 2), n = t[0], a = t[1], r = rr(ar(n));
    r != null && (Ne[a] = r);
  });
}
var Dn = {
  styleDefault: "solid",
  familyDefault: "classic",
  cssPrefix: In,
  replacementClass: Ln,
  autoReplaceSvg: !0,
  autoAddCss: !0,
  autoA11y: !0,
  searchPseudoElements: !1,
  observeMutations: !0,
  mutateApproach: "async",
  keepOriginalSource: !0,
  measurePerformance: !1,
  showMissingIcons: !0
};
Ne.familyPrefix && (Ne.cssPrefix = Ne.familyPrefix);
var Ae = g(g({}, Dn), Ne);
Ae.autoReplaceSvg || (Ae.observeMutations = !1);
var h = {};
Object.keys(Dn).forEach(function(e) {
  Object.defineProperty(h, e, {
    enumerable: !0,
    set: function(n) {
      Ae[e] = n, Me.forEach(function(a) {
        return a(h);
      });
    },
    get: function() {
      return Ae[e];
    }
  });
});
Object.defineProperty(h, "familyPrefix", {
  enumerable: !0,
  set: function(t) {
    Ae.cssPrefix = t, Me.forEach(function(n) {
      return n(h);
    });
  },
  get: function() {
    return Ae.cssPrefix;
  }
});
ue.FontAwesomeConfig = h;
var Me = [];
function or(e) {
  return Me.push(e), function() {
    Me.splice(Me.indexOf(e), 1);
  };
}
var le = _t, te = {
  size: 16,
  x: 0,
  y: 0,
  rotate: 0,
  flipX: !1,
  flipY: !1
};
function sr(e) {
  if (!(!e || !se)) {
    var t = z.createElement("style");
    t.setAttribute("type", "text/css"), t.innerHTML = e;
    for (var n = z.head.childNodes, a = null, r = n.length - 1; r > -1; r--) {
      var i = n[r], o = (i.tagName || "").toUpperCase();
      ["STYLE", "LINK"].indexOf(o) > -1 && (a = i);
    }
    return z.head.insertBefore(t, a), e;
  }
}
var lr = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
function Re() {
  for (var e = 12, t = ""; e-- > 0; )
    t += lr[Math.random() * 62 | 0];
  return t;
}
function Ce(e) {
  for (var t = [], n = (e || []).length >>> 0; n--; )
    t[n] = e[n];
  return t;
}
function jt(e) {
  return e.classList ? Ce(e.classList) : (e.getAttribute("class") || "").split(" ").filter(function(t) {
    return t;
  });
}
function Fn(e) {
  return "".concat(e).replace(/&/g, "&amp;").replace(/"/g, "&quot;").replace(/'/g, "&#39;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
}
function cr(e) {
  return Object.keys(e || {}).reduce(function(t, n) {
    return t + "".concat(n, '="').concat(Fn(e[n]), '" ');
  }, "").trim();
}
function ft(e) {
  return Object.keys(e || {}).reduce(function(t, n) {
    return t + "".concat(n, ": ").concat(e[n].trim(), ";");
  }, "");
}
function Vt(e) {
  return e.size !== te.size || e.x !== te.x || e.y !== te.y || e.rotate !== te.rotate || e.flipX || e.flipY;
}
function fr(e) {
  var t = e.transform, n = e.containerWidth, a = e.iconWidth, r = {
    transform: "translate(".concat(n / 2, " 256)")
  }, i = "translate(".concat(t.x * 32, ", ").concat(t.y * 32, ") "), o = "scale(".concat(t.size / 16 * (t.flipX ? -1 : 1), ", ").concat(t.size / 16 * (t.flipY ? -1 : 1), ") "), s = "rotate(".concat(t.rotate, " 0 0)"), l = {
    transform: "".concat(i, " ").concat(o, " ").concat(s)
  }, f = {
    transform: "translate(".concat(a / 2 * -1, " -256)")
  };
  return {
    outer: r,
    inner: l,
    path: f
  };
}
function ur(e) {
  var t = e.transform, n = e.width, a = n === void 0 ? _t : n, r = e.height, i = r === void 0 ? _t : r, o = e.startCentered, s = o === void 0 ? !1 : o, l = "";
  return s && zn ? l += "translate(".concat(t.x / le - a / 2, "em, ").concat(t.y / le - i / 2, "em) ") : s ? l += "translate(calc(-50% + ".concat(t.x / le, "em), calc(-50% + ").concat(t.y / le, "em)) ") : l += "translate(".concat(t.x / le, "em, ").concat(t.y / le, "em) "), l += "scale(".concat(t.size / le * (t.flipX ? -1 : 1), ", ").concat(t.size / le * (t.flipY ? -1 : 1), ") "), l += "rotate(".concat(t.rotate, "deg) "), l;
}
var mr = `:root, :host {
  --fa-font-solid: normal 900 1em/1 "Font Awesome 6 Solid";
  --fa-font-regular: normal 400 1em/1 "Font Awesome 6 Regular";
  --fa-font-light: normal 300 1em/1 "Font Awesome 6 Light";
  --fa-font-thin: normal 100 1em/1 "Font Awesome 6 Thin";
  --fa-font-duotone: normal 900 1em/1 "Font Awesome 6 Duotone";
  --fa-font-sharp-solid: normal 900 1em/1 "Font Awesome 6 Sharp";
  --fa-font-sharp-regular: normal 400 1em/1 "Font Awesome 6 Sharp";
  --fa-font-sharp-light: normal 300 1em/1 "Font Awesome 6 Sharp";
  --fa-font-sharp-thin: normal 100 1em/1 "Font Awesome 6 Sharp";
  --fa-font-brands: normal 400 1em/1 "Font Awesome 6 Brands";
}

svg:not(:root).svg-inline--fa, svg:not(:host).svg-inline--fa {
  overflow: visible;
  box-sizing: content-box;
}

.svg-inline--fa {
  display: var(--fa-display, inline-block);
  height: 1em;
  overflow: visible;
  vertical-align: -0.125em;
}
.svg-inline--fa.fa-2xs {
  vertical-align: 0.1em;
}
.svg-inline--fa.fa-xs {
  vertical-align: 0em;
}
.svg-inline--fa.fa-sm {
  vertical-align: -0.0714285705em;
}
.svg-inline--fa.fa-lg {
  vertical-align: -0.2em;
}
.svg-inline--fa.fa-xl {
  vertical-align: -0.25em;
}
.svg-inline--fa.fa-2xl {
  vertical-align: -0.3125em;
}
.svg-inline--fa.fa-pull-left {
  margin-right: var(--fa-pull-margin, 0.3em);
  width: auto;
}
.svg-inline--fa.fa-pull-right {
  margin-left: var(--fa-pull-margin, 0.3em);
  width: auto;
}
.svg-inline--fa.fa-li {
  width: var(--fa-li-width, 2em);
  top: 0.25em;
}
.svg-inline--fa.fa-fw {
  width: var(--fa-fw-width, 1.25em);
}

.fa-layers svg.svg-inline--fa {
  bottom: 0;
  left: 0;
  margin: auto;
  position: absolute;
  right: 0;
  top: 0;
}

.fa-layers-counter, .fa-layers-text {
  display: inline-block;
  position: absolute;
  text-align: center;
}

.fa-layers {
  display: inline-block;
  height: 1em;
  position: relative;
  text-align: center;
  vertical-align: -0.125em;
  width: 1em;
}
.fa-layers svg.svg-inline--fa {
  -webkit-transform-origin: center center;
          transform-origin: center center;
}

.fa-layers-text {
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  -webkit-transform-origin: center center;
          transform-origin: center center;
}

.fa-layers-counter {
  background-color: var(--fa-counter-background-color, #ff253a);
  border-radius: var(--fa-counter-border-radius, 1em);
  box-sizing: border-box;
  color: var(--fa-inverse, #fff);
  line-height: var(--fa-counter-line-height, 1);
  max-width: var(--fa-counter-max-width, 5em);
  min-width: var(--fa-counter-min-width, 1.5em);
  overflow: hidden;
  padding: var(--fa-counter-padding, 0.25em 0.5em);
  right: var(--fa-right, 0);
  text-overflow: ellipsis;
  top: var(--fa-top, 0);
  -webkit-transform: scale(var(--fa-counter-scale, 0.25));
          transform: scale(var(--fa-counter-scale, 0.25));
  -webkit-transform-origin: top right;
          transform-origin: top right;
}

.fa-layers-bottom-right {
  bottom: var(--fa-bottom, 0);
  right: var(--fa-right, 0);
  top: auto;
  -webkit-transform: scale(var(--fa-layers-scale, 0.25));
          transform: scale(var(--fa-layers-scale, 0.25));
  -webkit-transform-origin: bottom right;
          transform-origin: bottom right;
}

.fa-layers-bottom-left {
  bottom: var(--fa-bottom, 0);
  left: var(--fa-left, 0);
  right: auto;
  top: auto;
  -webkit-transform: scale(var(--fa-layers-scale, 0.25));
          transform: scale(var(--fa-layers-scale, 0.25));
  -webkit-transform-origin: bottom left;
          transform-origin: bottom left;
}

.fa-layers-top-right {
  top: var(--fa-top, 0);
  right: var(--fa-right, 0);
  -webkit-transform: scale(var(--fa-layers-scale, 0.25));
          transform: scale(var(--fa-layers-scale, 0.25));
  -webkit-transform-origin: top right;
          transform-origin: top right;
}

.fa-layers-top-left {
  left: var(--fa-left, 0);
  right: auto;
  top: var(--fa-top, 0);
  -webkit-transform: scale(var(--fa-layers-scale, 0.25));
          transform: scale(var(--fa-layers-scale, 0.25));
  -webkit-transform-origin: top left;
          transform-origin: top left;
}

.fa-1x {
  font-size: 1em;
}

.fa-2x {
  font-size: 2em;
}

.fa-3x {
  font-size: 3em;
}

.fa-4x {
  font-size: 4em;
}

.fa-5x {
  font-size: 5em;
}

.fa-6x {
  font-size: 6em;
}

.fa-7x {
  font-size: 7em;
}

.fa-8x {
  font-size: 8em;
}

.fa-9x {
  font-size: 9em;
}

.fa-10x {
  font-size: 10em;
}

.fa-2xs {
  font-size: 0.625em;
  line-height: 0.1em;
  vertical-align: 0.225em;
}

.fa-xs {
  font-size: 0.75em;
  line-height: 0.0833333337em;
  vertical-align: 0.125em;
}

.fa-sm {
  font-size: 0.875em;
  line-height: 0.0714285718em;
  vertical-align: 0.0535714295em;
}

.fa-lg {
  font-size: 1.25em;
  line-height: 0.05em;
  vertical-align: -0.075em;
}

.fa-xl {
  font-size: 1.5em;
  line-height: 0.0416666682em;
  vertical-align: -0.125em;
}

.fa-2xl {
  font-size: 2em;
  line-height: 0.03125em;
  vertical-align: -0.1875em;
}

.fa-fw {
  text-align: center;
  width: 1.25em;
}

.fa-ul {
  list-style-type: none;
  margin-left: var(--fa-li-margin, 2.5em);
  padding-left: 0;
}
.fa-ul > li {
  position: relative;
}

.fa-li {
  left: calc(var(--fa-li-width, 2em) * -1);
  position: absolute;
  text-align: center;
  width: var(--fa-li-width, 2em);
  line-height: inherit;
}

.fa-border {
  border-color: var(--fa-border-color, #eee);
  border-radius: var(--fa-border-radius, 0.1em);
  border-style: var(--fa-border-style, solid);
  border-width: var(--fa-border-width, 0.08em);
  padding: var(--fa-border-padding, 0.2em 0.25em 0.15em);
}

.fa-pull-left {
  float: left;
  margin-right: var(--fa-pull-margin, 0.3em);
}

.fa-pull-right {
  float: right;
  margin-left: var(--fa-pull-margin, 0.3em);
}

.fa-beat {
  -webkit-animation-name: fa-beat;
          animation-name: fa-beat;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, ease-in-out);
          animation-timing-function: var(--fa-animation-timing, ease-in-out);
}

.fa-bounce {
  -webkit-animation-name: fa-bounce;
          animation-name: fa-bounce;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.28, 0.84, 0.42, 1));
          animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.28, 0.84, 0.42, 1));
}

.fa-fade {
  -webkit-animation-name: fa-fade;
          animation-name: fa-fade;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.4, 0, 0.6, 1));
          animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.4, 0, 0.6, 1));
}

.fa-beat-fade {
  -webkit-animation-name: fa-beat-fade;
          animation-name: fa-beat-fade;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.4, 0, 0.6, 1));
          animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.4, 0, 0.6, 1));
}

.fa-flip {
  -webkit-animation-name: fa-flip;
          animation-name: fa-flip;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, ease-in-out);
          animation-timing-function: var(--fa-animation-timing, ease-in-out);
}

.fa-shake {
  -webkit-animation-name: fa-shake;
          animation-name: fa-shake;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, linear);
          animation-timing-function: var(--fa-animation-timing, linear);
}

.fa-spin {
  -webkit-animation-name: fa-spin;
          animation-name: fa-spin;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 2s);
          animation-duration: var(--fa-animation-duration, 2s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, linear);
          animation-timing-function: var(--fa-animation-timing, linear);
}

.fa-spin-reverse {
  --fa-animation-direction: reverse;
}

.fa-pulse,
.fa-spin-pulse {
  -webkit-animation-name: fa-spin;
          animation-name: fa-spin;
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, steps(8));
          animation-timing-function: var(--fa-animation-timing, steps(8));
}

@media (prefers-reduced-motion: reduce) {
  .fa-beat,
.fa-bounce,
.fa-fade,
.fa-beat-fade,
.fa-flip,
.fa-pulse,
.fa-shake,
.fa-spin,
.fa-spin-pulse {
    -webkit-animation-delay: -1ms;
            animation-delay: -1ms;
    -webkit-animation-duration: 1ms;
            animation-duration: 1ms;
    -webkit-animation-iteration-count: 1;
            animation-iteration-count: 1;
    -webkit-transition-delay: 0s;
            transition-delay: 0s;
    -webkit-transition-duration: 0s;
            transition-duration: 0s;
  }
}
@-webkit-keyframes fa-beat {
  0%, 90% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  45% {
    -webkit-transform: scale(var(--fa-beat-scale, 1.25));
            transform: scale(var(--fa-beat-scale, 1.25));
  }
}
@keyframes fa-beat {
  0%, 90% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  45% {
    -webkit-transform: scale(var(--fa-beat-scale, 1.25));
            transform: scale(var(--fa-beat-scale, 1.25));
  }
}
@-webkit-keyframes fa-bounce {
  0% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
  10% {
    -webkit-transform: scale(var(--fa-bounce-start-scale-x, 1.1), var(--fa-bounce-start-scale-y, 0.9)) translateY(0);
            transform: scale(var(--fa-bounce-start-scale-x, 1.1), var(--fa-bounce-start-scale-y, 0.9)) translateY(0);
  }
  30% {
    -webkit-transform: scale(var(--fa-bounce-jump-scale-x, 0.9), var(--fa-bounce-jump-scale-y, 1.1)) translateY(var(--fa-bounce-height, -0.5em));
            transform: scale(var(--fa-bounce-jump-scale-x, 0.9), var(--fa-bounce-jump-scale-y, 1.1)) translateY(var(--fa-bounce-height, -0.5em));
  }
  50% {
    -webkit-transform: scale(var(--fa-bounce-land-scale-x, 1.05), var(--fa-bounce-land-scale-y, 0.95)) translateY(0);
            transform: scale(var(--fa-bounce-land-scale-x, 1.05), var(--fa-bounce-land-scale-y, 0.95)) translateY(0);
  }
  57% {
    -webkit-transform: scale(1, 1) translateY(var(--fa-bounce-rebound, -0.125em));
            transform: scale(1, 1) translateY(var(--fa-bounce-rebound, -0.125em));
  }
  64% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
  100% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
}
@keyframes fa-bounce {
  0% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
  10% {
    -webkit-transform: scale(var(--fa-bounce-start-scale-x, 1.1), var(--fa-bounce-start-scale-y, 0.9)) translateY(0);
            transform: scale(var(--fa-bounce-start-scale-x, 1.1), var(--fa-bounce-start-scale-y, 0.9)) translateY(0);
  }
  30% {
    -webkit-transform: scale(var(--fa-bounce-jump-scale-x, 0.9), var(--fa-bounce-jump-scale-y, 1.1)) translateY(var(--fa-bounce-height, -0.5em));
            transform: scale(var(--fa-bounce-jump-scale-x, 0.9), var(--fa-bounce-jump-scale-y, 1.1)) translateY(var(--fa-bounce-height, -0.5em));
  }
  50% {
    -webkit-transform: scale(var(--fa-bounce-land-scale-x, 1.05), var(--fa-bounce-land-scale-y, 0.95)) translateY(0);
            transform: scale(var(--fa-bounce-land-scale-x, 1.05), var(--fa-bounce-land-scale-y, 0.95)) translateY(0);
  }
  57% {
    -webkit-transform: scale(1, 1) translateY(var(--fa-bounce-rebound, -0.125em));
            transform: scale(1, 1) translateY(var(--fa-bounce-rebound, -0.125em));
  }
  64% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
  100% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
}
@-webkit-keyframes fa-fade {
  50% {
    opacity: var(--fa-fade-opacity, 0.4);
  }
}
@keyframes fa-fade {
  50% {
    opacity: var(--fa-fade-opacity, 0.4);
  }
}
@-webkit-keyframes fa-beat-fade {
  0%, 100% {
    opacity: var(--fa-beat-fade-opacity, 0.4);
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  50% {
    opacity: 1;
    -webkit-transform: scale(var(--fa-beat-fade-scale, 1.125));
            transform: scale(var(--fa-beat-fade-scale, 1.125));
  }
}
@keyframes fa-beat-fade {
  0%, 100% {
    opacity: var(--fa-beat-fade-opacity, 0.4);
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  50% {
    opacity: 1;
    -webkit-transform: scale(var(--fa-beat-fade-scale, 1.125));
            transform: scale(var(--fa-beat-fade-scale, 1.125));
  }
}
@-webkit-keyframes fa-flip {
  50% {
    -webkit-transform: rotate3d(var(--fa-flip-x, 0), var(--fa-flip-y, 1), var(--fa-flip-z, 0), var(--fa-flip-angle, -180deg));
            transform: rotate3d(var(--fa-flip-x, 0), var(--fa-flip-y, 1), var(--fa-flip-z, 0), var(--fa-flip-angle, -180deg));
  }
}
@keyframes fa-flip {
  50% {
    -webkit-transform: rotate3d(var(--fa-flip-x, 0), var(--fa-flip-y, 1), var(--fa-flip-z, 0), var(--fa-flip-angle, -180deg));
            transform: rotate3d(var(--fa-flip-x, 0), var(--fa-flip-y, 1), var(--fa-flip-z, 0), var(--fa-flip-angle, -180deg));
  }
}
@-webkit-keyframes fa-shake {
  0% {
    -webkit-transform: rotate(-15deg);
            transform: rotate(-15deg);
  }
  4% {
    -webkit-transform: rotate(15deg);
            transform: rotate(15deg);
  }
  8%, 24% {
    -webkit-transform: rotate(-18deg);
            transform: rotate(-18deg);
  }
  12%, 28% {
    -webkit-transform: rotate(18deg);
            transform: rotate(18deg);
  }
  16% {
    -webkit-transform: rotate(-22deg);
            transform: rotate(-22deg);
  }
  20% {
    -webkit-transform: rotate(22deg);
            transform: rotate(22deg);
  }
  32% {
    -webkit-transform: rotate(-12deg);
            transform: rotate(-12deg);
  }
  36% {
    -webkit-transform: rotate(12deg);
            transform: rotate(12deg);
  }
  40%, 100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}
@keyframes fa-shake {
  0% {
    -webkit-transform: rotate(-15deg);
            transform: rotate(-15deg);
  }
  4% {
    -webkit-transform: rotate(15deg);
            transform: rotate(15deg);
  }
  8%, 24% {
    -webkit-transform: rotate(-18deg);
            transform: rotate(-18deg);
  }
  12%, 28% {
    -webkit-transform: rotate(18deg);
            transform: rotate(18deg);
  }
  16% {
    -webkit-transform: rotate(-22deg);
            transform: rotate(-22deg);
  }
  20% {
    -webkit-transform: rotate(22deg);
            transform: rotate(22deg);
  }
  32% {
    -webkit-transform: rotate(-12deg);
            transform: rotate(-12deg);
  }
  36% {
    -webkit-transform: rotate(12deg);
            transform: rotate(12deg);
  }
  40%, 100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}
@-webkit-keyframes fa-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}
@keyframes fa-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}
.fa-rotate-90 {
  -webkit-transform: rotate(90deg);
          transform: rotate(90deg);
}

.fa-rotate-180 {
  -webkit-transform: rotate(180deg);
          transform: rotate(180deg);
}

.fa-rotate-270 {
  -webkit-transform: rotate(270deg);
          transform: rotate(270deg);
}

.fa-flip-horizontal {
  -webkit-transform: scale(-1, 1);
          transform: scale(-1, 1);
}

.fa-flip-vertical {
  -webkit-transform: scale(1, -1);
          transform: scale(1, -1);
}

.fa-flip-both,
.fa-flip-horizontal.fa-flip-vertical {
  -webkit-transform: scale(-1, -1);
          transform: scale(-1, -1);
}

.fa-rotate-by {
  -webkit-transform: rotate(var(--fa-rotate-angle, 0));
          transform: rotate(var(--fa-rotate-angle, 0));
}

.fa-stack {
  display: inline-block;
  vertical-align: middle;
  height: 2em;
  position: relative;
  width: 2.5em;
}

.fa-stack-1x,
.fa-stack-2x {
  bottom: 0;
  left: 0;
  margin: auto;
  position: absolute;
  right: 0;
  top: 0;
  z-index: var(--fa-stack-z-index, auto);
}

.svg-inline--fa.fa-stack-1x {
  height: 1em;
  width: 1.25em;
}
.svg-inline--fa.fa-stack-2x {
  height: 2em;
  width: 2.5em;
}

.fa-inverse {
  color: var(--fa-inverse, #fff);
}

.sr-only,
.fa-sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

.sr-only-focusable:not(:focus),
.fa-sr-only-focusable:not(:focus) {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

.svg-inline--fa .fa-primary {
  fill: var(--fa-primary-color, currentColor);
  opacity: var(--fa-primary-opacity, 1);
}

.svg-inline--fa .fa-secondary {
  fill: var(--fa-secondary-color, currentColor);
  opacity: var(--fa-secondary-opacity, 0.4);
}

.svg-inline--fa.fa-swap-opacity .fa-primary {
  opacity: var(--fa-secondary-opacity, 0.4);
}

.svg-inline--fa.fa-swap-opacity .fa-secondary {
  opacity: var(--fa-primary-opacity, 1);
}

.svg-inline--fa mask .fa-primary,
.svg-inline--fa mask .fa-secondary {
  fill: black;
}

.fad.fa-inverse,
.fa-duotone.fa-inverse {
  color: var(--fa-inverse, #fff);
}`;
function jn() {
  var e = In, t = Ln, n = h.cssPrefix, a = h.replacementClass, r = mr;
  if (n !== e || a !== t) {
    var i = new RegExp("\\.".concat(e, "\\-"), "g"), o = new RegExp("\\--".concat(e, "\\-"), "g"), s = new RegExp("\\.".concat(t), "g");
    r = r.replace(i, ".".concat(n, "-")).replace(o, "--".concat(n, "-")).replace(s, ".".concat(a));
  }
  return r;
}
var sn = !1;
function ht() {
  h.autoAddCss && !sn && (sr(jn()), sn = !0);
}
var dr = {
  mixout: function() {
    return {
      dom: {
        css: jn,
        insertCss: ht
      }
    };
  },
  hooks: function() {
    return {
      beforeDOMElementCreation: function() {
        ht();
      },
      beforeI2svg: function() {
        ht();
      }
    };
  }
}, ie = ue || {};
ie[re] || (ie[re] = {});
ie[re].styles || (ie[re].styles = {});
ie[re].hooks || (ie[re].hooks = {});
ie[re].shims || (ie[re].shims = []);
var J = ie[re], Vn = [], vr = function e() {
  z.removeEventListener("DOMContentLoaded", e), it = 1, Vn.map(function(t) {
    return t();
  });
}, it = !1;
se && (it = (z.documentElement.doScroll ? /^loaded|^c/ : /^loaded|^i|^c/).test(z.readyState), it || z.addEventListener("DOMContentLoaded", vr));
function pr(e) {
  se && (it ? setTimeout(e, 0) : Vn.push(e));
}
function Ve(e) {
  var t = e.tag, n = e.attributes, a = n === void 0 ? {} : n, r = e.children, i = r === void 0 ? [] : r;
  return typeof e == "string" ? Fn(e) : "<".concat(t, " ").concat(cr(a), ">").concat(i.map(Ve).join(""), "</").concat(t, ">");
}
function ln(e, t, n) {
  if (e && e[t] && e[t][n])
    return {
      prefix: t,
      iconName: n,
      icon: e[t][n]
    };
}
var yt = function(t, n, a, r) {
  var i = Object.keys(t), o = i.length, s = n, l, f, c;
  for (a === void 0 ? (l = 1, c = t[i[0]]) : (l = 0, c = a); l < o; l++)
    f = i[l], c = s(c, t[f], f, t);
  return c;
};
function gr(e) {
  for (var t = [], n = 0, a = e.length; n < a; ) {
    var r = e.charCodeAt(n++);
    if (r >= 55296 && r <= 56319 && n < a) {
      var i = e.charCodeAt(n++);
      (i & 64512) == 56320 ? t.push(((r & 1023) << 10) + (i & 1023) + 65536) : (t.push(r), n--);
    } else
      t.push(r);
  }
  return t;
}
function Ct(e) {
  var t = gr(e);
  return t.length === 1 ? t[0].toString(16) : null;
}
function br(e, t) {
  var n = e.length, a = e.charCodeAt(t), r;
  return a >= 55296 && a <= 56319 && n > t + 1 && (r = e.charCodeAt(t + 1), r >= 56320 && r <= 57343) ? (a - 55296) * 1024 + r - 56320 + 65536 : a;
}
function cn(e) {
  return Object.keys(e).reduce(function(t, n) {
    var a = e[n], r = !!a.icon;
    return r ? t[a.iconName] = a.icon : t[n] = a, t;
  }, {});
}
function St(e, t) {
  var n = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {}, a = n.skipHooks, r = a === void 0 ? !1 : a, i = cn(t);
  typeof J.hooks.addPack == "function" && !r ? J.hooks.addPack(e, cn(t)) : J.styles[e] = g(g({}, J.styles[e] || {}), i), e === "fas" && St("fa", t);
}
var Je, Ze, et, we = J.styles, hr = J.shims, yr = (Je = {}, D(Je, P, Object.values(He[P])), D(Je, H, Object.values(He[H])), Je), Bt = null, Bn = {}, Yn = {}, Un = {}, Wn = {}, Gn = {}, kr = (Ze = {}, D(Ze, P, Object.keys(Ie[P])), D(Ze, H, Object.keys(Ie[H])), Ze);
function wr(e) {
  return ~nr.indexOf(e);
}
function xr(e, t) {
  var n = t.split("-"), a = n[0], r = n.slice(1).join("-");
  return a === e && r !== "" && !wr(r) ? r : null;
}
var qn = function() {
  var t = function(i) {
    return yt(we, function(o, s, l) {
      return o[l] = yt(s, i, {}), o;
    }, {});
  };
  Bn = t(function(r, i, o) {
    if (i[3] && (r[i[3]] = o), i[2]) {
      var s = i[2].filter(function(l) {
        return typeof l == "number";
      });
      s.forEach(function(l) {
        r[l.toString(16)] = o;
      });
    }
    return r;
  }), Yn = t(function(r, i, o) {
    if (r[o] = o, i[2]) {
      var s = i[2].filter(function(l) {
        return typeof l == "string";
      });
      s.forEach(function(l) {
        r[l] = o;
      });
    }
    return r;
  }), Gn = t(function(r, i, o) {
    var s = i[2];
    return r[o] = o, s.forEach(function(l) {
      r[l] = o;
    }), r;
  });
  var n = "far" in we || h.autoFetchSvg, a = yt(hr, function(r, i) {
    var o = i[0], s = i[1], l = i[2];
    return s === "far" && !n && (s = "fas"), typeof o == "string" && (r.names[o] = {
      prefix: s,
      iconName: l
    }), typeof o == "number" && (r.unicodes[o.toString(16)] = {
      prefix: s,
      iconName: l
    }), r;
  }, {
    names: {},
    unicodes: {}
  });
  Un = a.names, Wn = a.unicodes, Bt = ut(h.styleDefault, {
    family: h.familyDefault
  });
};
or(function(e) {
  Bt = ut(e.styleDefault, {
    family: h.familyDefault
  });
});
qn();
function Yt(e, t) {
  return (Bn[e] || {})[t];
}
function _r(e, t) {
  return (Yn[e] || {})[t];
}
function be(e, t) {
  return (Gn[e] || {})[t];
}
function Xn(e) {
  return Un[e] || {
    prefix: null,
    iconName: null
  };
}
function Ar(e) {
  var t = Wn[e], n = Yt("fas", e);
  return t || (n ? {
    prefix: "fas",
    iconName: n
  } : null) || {
    prefix: null,
    iconName: null
  };
}
function me() {
  return Bt;
}
var Ut = function() {
  return {
    prefix: null,
    iconName: null,
    rest: []
  };
};
function ut(e) {
  var t = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, n = t.family, a = n === void 0 ? P : n, r = Ie[a][e], i = Le[a][e] || Le[a][r], o = e in J.styles ? e : null;
  return i || o || null;
}
var fn = (et = {}, D(et, P, Object.keys(He[P])), D(et, H, Object.keys(He[H])), et);
function mt(e) {
  var t, n = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, a = n.skipLookups, r = a === void 0 ? !1 : a, i = (t = {}, D(t, P, "".concat(h.cssPrefix, "-").concat(P)), D(t, H, "".concat(h.cssPrefix, "-").concat(H)), t), o = null, s = P;
  (e.includes(i[P]) || e.some(function(f) {
    return fn[P].includes(f);
  })) && (s = P), (e.includes(i[H]) || e.some(function(f) {
    return fn[H].includes(f);
  })) && (s = H);
  var l = e.reduce(function(f, c) {
    var u = xr(h.cssPrefix, c);
    if (we[c] ? (c = yr[s].includes(c) ? Ka[s][c] : c, o = c, f.prefix = c) : kr[s].indexOf(c) > -1 ? (o = c, f.prefix = ut(c, {
      family: s
    })) : u ? f.iconName = u : c !== h.replacementClass && c !== i[P] && c !== i[H] && f.rest.push(c), !r && f.prefix && f.iconName) {
      var b = o === "fa" ? Xn(f.iconName) : {}, m = be(f.prefix, f.iconName);
      b.prefix && (o = null), f.iconName = b.iconName || m || f.iconName, f.prefix = b.prefix || f.prefix, f.prefix === "far" && !we.far && we.fas && !h.autoFetchSvg && (f.prefix = "fas");
    }
    return f;
  }, Ut());
  return (e.includes("fa-brands") || e.includes("fab")) && (l.prefix = "fab"), (e.includes("fa-duotone") || e.includes("fad")) && (l.prefix = "fad"), !l.prefix && s === H && (we.fass || h.autoFetchSvg) && (l.prefix = "fass", l.iconName = be(l.prefix, l.iconName) || l.iconName), (l.prefix === "fa" || o === "fa") && (l.prefix = me() || "fas"), l;
}
var Cr = /* @__PURE__ */ function() {
  function e() {
    $a(this, e), this.definitions = {};
  }
  return Da(e, [{
    key: "add",
    value: function() {
      for (var n = this, a = arguments.length, r = new Array(a), i = 0; i < a; i++)
        r[i] = arguments[i];
      var o = r.reduce(this._pullDefinitions, {});
      Object.keys(o).forEach(function(s) {
        n.definitions[s] = g(g({}, n.definitions[s] || {}), o[s]), St(s, o[s]);
        var l = He[P][s];
        l && St(l, o[s]), qn();
      });
    }
  }, {
    key: "reset",
    value: function() {
      this.definitions = {};
    }
  }, {
    key: "_pullDefinitions",
    value: function(n, a) {
      var r = a.prefix && a.iconName && a.icon ? {
        0: a
      } : a;
      return Object.keys(r).map(function(i) {
        var o = r[i], s = o.prefix, l = o.iconName, f = o.icon, c = f[2];
        n[s] || (n[s] = {}), c.length > 0 && c.forEach(function(u) {
          typeof u == "string" && (n[s][u] = f);
        }), n[s][l] = f;
      }), n;
    }
  }]), e;
}(), un = [], xe = {}, _e = {}, Sr = Object.keys(_e);
function Or(e, t) {
  var n = t.mixoutsTo;
  return un = e, xe = {}, Object.keys(_e).forEach(function(a) {
    Sr.indexOf(a) === -1 && delete _e[a];
  }), un.forEach(function(a) {
    var r = a.mixout ? a.mixout() : {};
    if (Object.keys(r).forEach(function(o) {
      typeof r[o] == "function" && (n[o] = r[o]), rt(r[o]) === "object" && Object.keys(r[o]).forEach(function(s) {
        n[o] || (n[o] = {}), n[o][s] = r[o][s];
      });
    }), a.hooks) {
      var i = a.hooks();
      Object.keys(i).forEach(function(o) {
        xe[o] || (xe[o] = []), xe[o].push(i[o]);
      });
    }
    a.provides && a.provides(_e);
  }), n;
}
function Ot(e, t) {
  for (var n = arguments.length, a = new Array(n > 2 ? n - 2 : 0), r = 2; r < n; r++)
    a[r - 2] = arguments[r];
  var i = xe[e] || [];
  return i.forEach(function(o) {
    t = o.apply(null, [t].concat(a));
  }), t;
}
function ye(e) {
  for (var t = arguments.length, n = new Array(t > 1 ? t - 1 : 0), a = 1; a < t; a++)
    n[a - 1] = arguments[a];
  var r = xe[e] || [];
  r.forEach(function(i) {
    i.apply(null, n);
  });
}
function oe() {
  var e = arguments[0], t = Array.prototype.slice.call(arguments, 1);
  return _e[e] ? _e[e].apply(null, t) : void 0;
}
function Tt(e) {
  e.prefix === "fa" && (e.prefix = "fas");
  var t = e.iconName, n = e.prefix || me();
  if (t)
    return t = be(n, t) || t, ln(Kn.definitions, n, t) || ln(J.styles, n, t);
}
var Kn = new Cr(), Tr = function() {
  h.autoReplaceSvg = !1, h.observeMutations = !1, ye("noAuto");
}, Er = {
  i2svg: function() {
    var t = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
    return se ? (ye("beforeI2svg", t), oe("pseudoElements2svg", t), oe("i2svg", t)) : Promise.reject("Operation requires a DOM of some kind.");
  },
  watch: function() {
    var t = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, n = t.autoReplaceSvgRoot;
    h.autoReplaceSvg === !1 && (h.autoReplaceSvg = !0), h.observeMutations = !0, pr(function() {
      Mr({
        autoReplaceSvgRoot: n
      }), ye("watch", t);
    });
  }
}, Nr = {
  icon: function(t) {
    if (t === null)
      return null;
    if (rt(t) === "object" && t.prefix && t.iconName)
      return {
        prefix: t.prefix,
        iconName: be(t.prefix, t.iconName) || t.iconName
      };
    if (Array.isArray(t) && t.length === 2) {
      var n = t[1].indexOf("fa-") === 0 ? t[1].slice(3) : t[1], a = ut(t[0]);
      return {
        prefix: a,
        iconName: be(a, n) || n
      };
    }
    if (typeof t == "string" && (t.indexOf("".concat(h.cssPrefix, "-")) > -1 || t.match(Qa))) {
      var r = mt(t.split(" "), {
        skipLookups: !0
      });
      return {
        prefix: r.prefix || me(),
        iconName: be(r.prefix, r.iconName) || r.iconName
      };
    }
    if (typeof t == "string") {
      var i = me();
      return {
        prefix: i,
        iconName: be(i, t) || t
      };
    }
  }
}, q = {
  noAuto: Tr,
  config: h,
  dom: Er,
  parse: Nr,
  library: Kn,
  findIconDefinition: Tt,
  toHtml: Ve
}, Mr = function() {
  var t = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, n = t.autoReplaceSvgRoot, a = n === void 0 ? z : n;
  (Object.keys(J.styles).length > 0 || h.autoFetchSvg) && se && h.autoReplaceSvg && q.dom.i2svg({
    node: a
  });
};
function dt(e, t) {
  return Object.defineProperty(e, "abstract", {
    get: t
  }), Object.defineProperty(e, "html", {
    get: function() {
      return e.abstract.map(function(a) {
        return Ve(a);
      });
    }
  }), Object.defineProperty(e, "node", {
    get: function() {
      if (se) {
        var a = z.createElement("div");
        return a.innerHTML = e.html, a.children;
      }
    }
  }), e;
}
function Pr(e) {
  var t = e.children, n = e.main, a = e.mask, r = e.attributes, i = e.styles, o = e.transform;
  if (Vt(o) && n.found && !a.found) {
    var s = n.width, l = n.height, f = {
      x: s / l / 2,
      y: 0.5
    };
    r.style = ft(g(g({}, i), {}, {
      "transform-origin": "".concat(f.x + o.x / 16, "em ").concat(f.y + o.y / 16, "em")
    }));
  }
  return [{
    tag: "svg",
    attributes: r,
    children: t
  }];
}
function zr(e) {
  var t = e.prefix, n = e.iconName, a = e.children, r = e.attributes, i = e.symbol, o = i === !0 ? "".concat(t, "-").concat(h.cssPrefix, "-").concat(n) : i;
  return [{
    tag: "svg",
    attributes: {
      style: "display: none;"
    },
    children: [{
      tag: "symbol",
      attributes: g(g({}, r), {}, {
        id: o
      }),
      children: a
    }]
  }];
}
function Wt(e) {
  var t = e.icons, n = t.main, a = t.mask, r = e.prefix, i = e.iconName, o = e.transform, s = e.symbol, l = e.title, f = e.maskId, c = e.titleId, u = e.extra, b = e.watchable, m = b === void 0 ? !1 : b, y = a.found ? a : n, x = y.width, k = y.height, d = r === "fak", v = [h.replacementClass, i ? "".concat(h.cssPrefix, "-").concat(i) : ""].filter(function(ee) {
    return u.classes.indexOf(ee) === -1;
  }).filter(function(ee) {
    return ee !== "" || !!ee;
  }).concat(u.classes).join(" "), _ = {
    children: [],
    attributes: g(g({}, u.attributes), {}, {
      "data-prefix": r,
      "data-icon": i,
      class: v,
      role: u.attributes.role || "img",
      xmlns: "http://www.w3.org/2000/svg",
      viewBox: "0 0 ".concat(x, " ").concat(k)
    })
  }, O = d && !~u.classes.indexOf("fa-fw") ? {
    width: "".concat(x / k * 16 * 0.0625, "em")
  } : {};
  m && (_.attributes[he] = ""), l && (_.children.push({
    tag: "title",
    attributes: {
      id: _.attributes["aria-labelledby"] || "title-".concat(c || Re())
    },
    children: [l]
  }), delete _.attributes.title);
  var E = g(g({}, _), {}, {
    prefix: r,
    iconName: i,
    main: n,
    mask: a,
    maskId: f,
    transform: o,
    symbol: s,
    styles: g(g({}, O), u.styles)
  }), R = a.found && n.found ? oe("generateAbstractMask", E) || {
    children: [],
    attributes: {}
  } : oe("generateAbstractIcon", E) || {
    children: [],
    attributes: {}
  }, V = R.children, Se = R.attributes;
  return E.children = V, E.attributes = Se, s ? zr(E) : Pr(E);
}
function mn(e) {
  var t = e.content, n = e.width, a = e.height, r = e.transform, i = e.title, o = e.extra, s = e.watchable, l = s === void 0 ? !1 : s, f = g(g(g({}, o.attributes), i ? {
    title: i
  } : {}), {}, {
    class: o.classes.join(" ")
  });
  l && (f[he] = "");
  var c = g({}, o.styles);
  Vt(r) && (c.transform = ur({
    transform: r,
    startCentered: !0,
    width: n,
    height: a
  }), c["-webkit-transform"] = c.transform);
  var u = ft(c);
  u.length > 0 && (f.style = u);
  var b = [];
  return b.push({
    tag: "span",
    attributes: f,
    children: [t]
  }), i && b.push({
    tag: "span",
    attributes: {
      class: "sr-only"
    },
    children: [i]
  }), b;
}
function Ir(e) {
  var t = e.content, n = e.title, a = e.extra, r = g(g(g({}, a.attributes), n ? {
    title: n
  } : {}), {}, {
    class: a.classes.join(" ")
  }), i = ft(a.styles);
  i.length > 0 && (r.style = i);
  var o = [];
  return o.push({
    tag: "span",
    attributes: r,
    children: [t]
  }), n && o.push({
    tag: "span",
    attributes: {
      class: "sr-only"
    },
    children: [n]
  }), o;
}
var kt = J.styles;
function Et(e) {
  var t = e[0], n = e[1], a = e.slice(4), r = Ht(a, 1), i = r[0], o = null;
  return Array.isArray(i) ? o = {
    tag: "g",
    attributes: {
      class: "".concat(h.cssPrefix, "-").concat(ge.GROUP)
    },
    children: [{
      tag: "path",
      attributes: {
        class: "".concat(h.cssPrefix, "-").concat(ge.SECONDARY),
        fill: "currentColor",
        d: i[0]
      }
    }, {
      tag: "path",
      attributes: {
        class: "".concat(h.cssPrefix, "-").concat(ge.PRIMARY),
        fill: "currentColor",
        d: i[1]
      }
    }]
  } : o = {
    tag: "path",
    attributes: {
      fill: "currentColor",
      d: i
    }
  }, {
    found: !0,
    width: t,
    height: n,
    icon: o
  };
}
var Lr = {
  found: !1,
  width: 512,
  height: 512
};
function Hr(e, t) {
  !Hn && !h.showMissingIcons && e && console.error('Icon with name "'.concat(e, '" and prefix "').concat(t, '" is missing.'));
}
function Nt(e, t) {
  var n = t;
  return t === "fa" && h.styleDefault !== null && (t = me()), new Promise(function(a, r) {
    if (oe("missingIconAbstract"), n === "fa") {
      var i = Xn(e) || {};
      e = i.iconName || e, t = i.prefix || t;
    }
    if (e && t && kt[t] && kt[t][e]) {
      var o = kt[t][e];
      return a(Et(o));
    }
    Hr(e, t), a(g(g({}, Lr), {}, {
      icon: h.showMissingIcons && e ? oe("missingIconAbstract") || {} : {}
    }));
  });
}
var dn = function() {
}, Mt = h.measurePerformance && We && We.mark && We.measure ? We : {
  mark: dn,
  measure: dn
}, Te = 'FA "6.5.2"', $r = function(t) {
  return Mt.mark("".concat(Te, " ").concat(t, " begins")), function() {
    return Qn(t);
  };
}, Qn = function(t) {
  Mt.mark("".concat(Te, " ").concat(t, " ends")), Mt.measure("".concat(Te, " ").concat(t), "".concat(Te, " ").concat(t, " begins"), "".concat(Te, " ").concat(t, " ends"));
}, Gt = {
  begin: $r,
  end: Qn
}, tt = function() {
};
function vn(e) {
  var t = e.getAttribute ? e.getAttribute(he) : null;
  return typeof t == "string";
}
function Rr(e) {
  var t = e.getAttribute ? e.getAttribute(Rt) : null, n = e.getAttribute ? e.getAttribute(Dt) : null;
  return t && n;
}
function Dr(e) {
  return e && e.classList && e.classList.contains && e.classList.contains(h.replacementClass);
}
function Fr() {
  if (h.autoReplaceSvg === !0)
    return nt.replace;
  var e = nt[h.autoReplaceSvg];
  return e || nt.replace;
}
function jr(e) {
  return z.createElementNS("http://www.w3.org/2000/svg", e);
}
function Vr(e) {
  return z.createElement(e);
}
function Jn(e) {
  var t = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, n = t.ceFn, a = n === void 0 ? e.tag === "svg" ? jr : Vr : n;
  if (typeof e == "string")
    return z.createTextNode(e);
  var r = a(e.tag);
  Object.keys(e.attributes || []).forEach(function(o) {
    r.setAttribute(o, e.attributes[o]);
  });
  var i = e.children || [];
  return i.forEach(function(o) {
    r.appendChild(Jn(o, {
      ceFn: a
    }));
  }), r;
}
function Br(e) {
  var t = " ".concat(e.outerHTML, " ");
  return t = "".concat(t, "Font Awesome fontawesome.com "), t;
}
var nt = {
  replace: function(t) {
    var n = t[0];
    if (n.parentNode)
      if (t[1].forEach(function(r) {
        n.parentNode.insertBefore(Jn(r), n);
      }), n.getAttribute(he) === null && h.keepOriginalSource) {
        var a = z.createComment(Br(n));
        n.parentNode.replaceChild(a, n);
      } else
        n.remove();
  },
  nest: function(t) {
    var n = t[0], a = t[1];
    if (~jt(n).indexOf(h.replacementClass))
      return nt.replace(t);
    var r = new RegExp("".concat(h.cssPrefix, "-.*"));
    if (delete a[0].attributes.id, a[0].attributes.class) {
      var i = a[0].attributes.class.split(" ").reduce(function(s, l) {
        return l === h.replacementClass || l.match(r) ? s.toSvg.push(l) : s.toNode.push(l), s;
      }, {
        toNode: [],
        toSvg: []
      });
      a[0].attributes.class = i.toSvg.join(" "), i.toNode.length === 0 ? n.removeAttribute("class") : n.setAttribute("class", i.toNode.join(" "));
    }
    var o = a.map(function(s) {
      return Ve(s);
    }).join(`
`);
    n.setAttribute(he, ""), n.innerHTML = o;
  }
};
function pn(e) {
  e();
}
function Zn(e, t) {
  var n = typeof t == "function" ? t : tt;
  if (e.length === 0)
    n();
  else {
    var a = pn;
    h.mutateApproach === qa && (a = ue.requestAnimationFrame || pn), a(function() {
      var r = Fr(), i = Gt.begin("mutate");
      e.map(r), i(), n();
    });
  }
}
var qt = !1;
function ea() {
  qt = !0;
}
function Pt() {
  qt = !1;
}
var ot = null;
function gn(e) {
  if (rn && h.observeMutations) {
    var t = e.treeCallback, n = t === void 0 ? tt : t, a = e.nodeCallback, r = a === void 0 ? tt : a, i = e.pseudoElementsCallback, o = i === void 0 ? tt : i, s = e.observeMutationsRoot, l = s === void 0 ? z : s;
    ot = new rn(function(f) {
      if (!qt) {
        var c = me();
        Ce(f).forEach(function(u) {
          if (u.type === "childList" && u.addedNodes.length > 0 && !vn(u.addedNodes[0]) && (h.searchPseudoElements && o(u.target), n(u.target)), u.type === "attributes" && u.target.parentNode && h.searchPseudoElements && o(u.target.parentNode), u.type === "attributes" && vn(u.target) && ~tr.indexOf(u.attributeName))
            if (u.attributeName === "class" && Rr(u.target)) {
              var b = mt(jt(u.target)), m = b.prefix, y = b.iconName;
              u.target.setAttribute(Rt, m || c), y && u.target.setAttribute(Dt, y);
            } else
              Dr(u.target) && r(u.target);
        });
      }
    }), se && ot.observe(l, {
      childList: !0,
      attributes: !0,
      characterData: !0,
      subtree: !0
    });
  }
}
function Yr() {
  ot && ot.disconnect();
}
function Ur(e) {
  var t = e.getAttribute("style"), n = [];
  return t && (n = t.split(";").reduce(function(a, r) {
    var i = r.split(":"), o = i[0], s = i.slice(1);
    return o && s.length > 0 && (a[o] = s.join(":").trim()), a;
  }, {})), n;
}
function Wr(e) {
  var t = e.getAttribute("data-prefix"), n = e.getAttribute("data-icon"), a = e.innerText !== void 0 ? e.innerText.trim() : "", r = mt(jt(e));
  return r.prefix || (r.prefix = me()), t && n && (r.prefix = t, r.iconName = n), r.iconName && r.prefix || (r.prefix && a.length > 0 && (r.iconName = _r(r.prefix, e.innerText) || Yt(r.prefix, Ct(e.innerText))), !r.iconName && h.autoFetchSvg && e.firstChild && e.firstChild.nodeType === Node.TEXT_NODE && (r.iconName = e.firstChild.data)), r;
}
function Gr(e) {
  var t = Ce(e.attributes).reduce(function(r, i) {
    return r.name !== "class" && r.name !== "style" && (r[i.name] = i.value), r;
  }, {}), n = e.getAttribute("title"), a = e.getAttribute("data-fa-title-id");
  return h.autoA11y && (n ? t["aria-labelledby"] = "".concat(h.replacementClass, "-title-").concat(a || Re()) : (t["aria-hidden"] = "true", t.focusable = "false")), t;
}
function qr() {
  return {
    iconName: null,
    title: null,
    titleId: null,
    prefix: null,
    transform: te,
    symbol: !1,
    mask: {
      iconName: null,
      prefix: null,
      rest: []
    },
    maskId: null,
    extra: {
      classes: [],
      styles: {},
      attributes: {}
    }
  };
}
function bn(e) {
  var t = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {
    styleParser: !0
  }, n = Wr(e), a = n.iconName, r = n.prefix, i = n.rest, o = Gr(e), s = Ot("parseNodeAttributes", {}, e), l = t.styleParser ? Ur(e) : [];
  return g({
    iconName: a,
    title: e.getAttribute("title"),
    titleId: e.getAttribute("data-fa-title-id"),
    prefix: r,
    transform: te,
    mask: {
      iconName: null,
      prefix: null,
      rest: []
    },
    maskId: null,
    symbol: !1,
    extra: {
      classes: i,
      styles: l,
      attributes: o
    }
  }, s);
}
var Xr = J.styles;
function ta(e) {
  var t = h.autoReplaceSvg === "nest" ? bn(e, {
    styleParser: !1
  }) : bn(e);
  return ~t.extra.classes.indexOf($n) ? oe("generateLayersText", e, t) : oe("generateSvgReplacementMutation", e, t);
}
var de = /* @__PURE__ */ new Set();
Ft.map(function(e) {
  de.add("fa-".concat(e));
});
Object.keys(Ie[P]).map(de.add.bind(de));
Object.keys(Ie[H]).map(de.add.bind(de));
de = Fe(de);
function hn(e) {
  var t = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : null;
  if (!se)
    return Promise.resolve();
  var n = z.documentElement.classList, a = function(u) {
    return n.add("".concat(on, "-").concat(u));
  }, r = function(u) {
    return n.remove("".concat(on, "-").concat(u));
  }, i = h.autoFetchSvg ? de : Ft.map(function(c) {
    return "fa-".concat(c);
  }).concat(Object.keys(Xr));
  i.includes("fa") || i.push("fa");
  var o = [".".concat($n, ":not([").concat(he, "])")].concat(i.map(function(c) {
    return ".".concat(c, ":not([").concat(he, "])");
  })).join(", ");
  if (o.length === 0)
    return Promise.resolve();
  var s = [];
  try {
    s = Ce(e.querySelectorAll(o));
  } catch {
  }
  if (s.length > 0)
    a("pending"), r("complete");
  else
    return Promise.resolve();
  var l = Gt.begin("onTree"), f = s.reduce(function(c, u) {
    try {
      var b = ta(u);
      b && c.push(b);
    } catch (m) {
      Hn || m.name === "MissingIcon" && console.error(m);
    }
    return c;
  }, []);
  return new Promise(function(c, u) {
    Promise.all(f).then(function(b) {
      Zn(b, function() {
        a("active"), a("complete"), r("pending"), typeof t == "function" && t(), l(), c();
      });
    }).catch(function(b) {
      l(), u(b);
    });
  });
}
function Kr(e) {
  var t = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : null;
  ta(e).then(function(n) {
    n && Zn([n], t);
  });
}
function Qr(e) {
  return function(t) {
    var n = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, a = (t || {}).icon ? t : Tt(t || {}), r = n.mask;
    return r && (r = (r || {}).icon ? r : Tt(r || {})), e(a, g(g({}, n), {}, {
      mask: r
    }));
  };
}
var Jr = function(t) {
  var n = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, a = n.transform, r = a === void 0 ? te : a, i = n.symbol, o = i === void 0 ? !1 : i, s = n.mask, l = s === void 0 ? null : s, f = n.maskId, c = f === void 0 ? null : f, u = n.title, b = u === void 0 ? null : u, m = n.titleId, y = m === void 0 ? null : m, x = n.classes, k = x === void 0 ? [] : x, d = n.attributes, v = d === void 0 ? {} : d, _ = n.styles, O = _ === void 0 ? {} : _;
  if (t) {
    var E = t.prefix, R = t.iconName, V = t.icon;
    return dt(g({
      type: "icon"
    }, t), function() {
      return ye("beforeDOMElementCreation", {
        iconDefinition: t,
        params: n
      }), h.autoA11y && (b ? v["aria-labelledby"] = "".concat(h.replacementClass, "-title-").concat(y || Re()) : (v["aria-hidden"] = "true", v.focusable = "false")), Wt({
        icons: {
          main: Et(V),
          mask: l ? Et(l.icon) : {
            found: !1,
            width: null,
            height: null,
            icon: {}
          }
        },
        prefix: E,
        iconName: R,
        transform: g(g({}, te), r),
        symbol: o,
        title: b,
        maskId: c,
        titleId: y,
        extra: {
          attributes: v,
          styles: O,
          classes: k
        }
      });
    });
  }
}, Zr = {
  mixout: function() {
    return {
      icon: Qr(Jr)
    };
  },
  hooks: function() {
    return {
      mutationObserverCallbacks: function(n) {
        return n.treeCallback = hn, n.nodeCallback = Kr, n;
      }
    };
  },
  provides: function(t) {
    t.i2svg = function(n) {
      var a = n.node, r = a === void 0 ? z : a, i = n.callback, o = i === void 0 ? function() {
      } : i;
      return hn(r, o);
    }, t.generateSvgReplacementMutation = function(n, a) {
      var r = a.iconName, i = a.title, o = a.titleId, s = a.prefix, l = a.transform, f = a.symbol, c = a.mask, u = a.maskId, b = a.extra;
      return new Promise(function(m, y) {
        Promise.all([Nt(r, s), c.iconName ? Nt(c.iconName, c.prefix) : Promise.resolve({
          found: !1,
          width: 512,
          height: 512,
          icon: {}
        })]).then(function(x) {
          var k = Ht(x, 2), d = k[0], v = k[1];
          m([n, Wt({
            icons: {
              main: d,
              mask: v
            },
            prefix: s,
            iconName: r,
            transform: l,
            symbol: f,
            maskId: u,
            title: i,
            titleId: o,
            extra: b,
            watchable: !0
          })]);
        }).catch(y);
      });
    }, t.generateAbstractIcon = function(n) {
      var a = n.children, r = n.attributes, i = n.main, o = n.transform, s = n.styles, l = ft(s);
      l.length > 0 && (r.style = l);
      var f;
      return Vt(o) && (f = oe("generateAbstractTransformGrouping", {
        main: i,
        transform: o,
        containerWidth: i.width,
        iconWidth: i.width
      })), a.push(f || i.icon), {
        children: a,
        attributes: r
      };
    };
  }
}, ei = {
  mixout: function() {
    return {
      layer: function(n) {
        var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, r = a.classes, i = r === void 0 ? [] : r;
        return dt({
          type: "layer"
        }, function() {
          ye("beforeDOMElementCreation", {
            assembler: n,
            params: a
          });
          var o = [];
          return n(function(s) {
            Array.isArray(s) ? s.map(function(l) {
              o = o.concat(l.abstract);
            }) : o = o.concat(s.abstract);
          }), [{
            tag: "span",
            attributes: {
              class: ["".concat(h.cssPrefix, "-layers")].concat(Fe(i)).join(" ")
            },
            children: o
          }];
        });
      }
    };
  }
}, ti = {
  mixout: function() {
    return {
      counter: function(n) {
        var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, r = a.title, i = r === void 0 ? null : r, o = a.classes, s = o === void 0 ? [] : o, l = a.attributes, f = l === void 0 ? {} : l, c = a.styles, u = c === void 0 ? {} : c;
        return dt({
          type: "counter",
          content: n
        }, function() {
          return ye("beforeDOMElementCreation", {
            content: n,
            params: a
          }), Ir({
            content: n.toString(),
            title: i,
            extra: {
              attributes: f,
              styles: u,
              classes: ["".concat(h.cssPrefix, "-layers-counter")].concat(Fe(s))
            }
          });
        });
      }
    };
  }
}, ni = {
  mixout: function() {
    return {
      text: function(n) {
        var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, r = a.transform, i = r === void 0 ? te : r, o = a.title, s = o === void 0 ? null : o, l = a.classes, f = l === void 0 ? [] : l, c = a.attributes, u = c === void 0 ? {} : c, b = a.styles, m = b === void 0 ? {} : b;
        return dt({
          type: "text",
          content: n
        }, function() {
          return ye("beforeDOMElementCreation", {
            content: n,
            params: a
          }), mn({
            content: n,
            transform: g(g({}, te), i),
            title: s,
            extra: {
              attributes: u,
              styles: m,
              classes: ["".concat(h.cssPrefix, "-layers-text")].concat(Fe(f))
            }
          });
        });
      }
    };
  },
  provides: function(t) {
    t.generateLayersText = function(n, a) {
      var r = a.title, i = a.transform, o = a.extra, s = null, l = null;
      if (zn) {
        var f = parseInt(getComputedStyle(n).fontSize, 10), c = n.getBoundingClientRect();
        s = c.width / f, l = c.height / f;
      }
      return h.autoA11y && !r && (o.attributes["aria-hidden"] = "true"), Promise.resolve([n, mn({
        content: n.innerHTML,
        width: s,
        height: l,
        transform: i,
        title: r,
        extra: o,
        watchable: !0
      })]);
    };
  }
}, ai = new RegExp('"', "ug"), yn = [1105920, 1112319];
function ri(e) {
  var t = e.replace(ai, ""), n = br(t, 0), a = n >= yn[0] && n <= yn[1], r = t.length === 2 ? t[0] === t[1] : !1;
  return {
    value: Ct(r ? t[0] : t),
    isSecondary: a || r
  };
}
function kn(e, t) {
  var n = "".concat(Ga).concat(t.replace(":", "-"));
  return new Promise(function(a, r) {
    if (e.getAttribute(n) !== null)
      return a();
    var i = Ce(e.children), o = i.filter(function(V) {
      return V.getAttribute(At) === t;
    })[0], s = ue.getComputedStyle(e, t), l = s.getPropertyValue("font-family").match(Ja), f = s.getPropertyValue("font-weight"), c = s.getPropertyValue("content");
    if (o && !l)
      return e.removeChild(o), a();
    if (l && c !== "none" && c !== "") {
      var u = s.getPropertyValue("content"), b = ~["Sharp"].indexOf(l[2]) ? H : P, m = ~["Solid", "Regular", "Light", "Thin", "Duotone", "Brands", "Kit"].indexOf(l[2]) ? Le[b][l[2].toLowerCase()] : Za[b][f], y = ri(u), x = y.value, k = y.isSecondary, d = l[0].startsWith("FontAwesome"), v = Yt(m, x), _ = v;
      if (d) {
        var O = Ar(x);
        O.iconName && O.prefix && (v = O.iconName, m = O.prefix);
      }
      if (v && !k && (!o || o.getAttribute(Rt) !== m || o.getAttribute(Dt) !== _)) {
        e.setAttribute(n, _), o && e.removeChild(o);
        var E = qr(), R = E.extra;
        R.attributes[At] = t, Nt(v, m).then(function(V) {
          var Se = Wt(g(g({}, E), {}, {
            icons: {
              main: V,
              mask: Ut()
            },
            prefix: m,
            iconName: _,
            extra: R,
            watchable: !0
          })), ee = z.createElementNS("http://www.w3.org/2000/svg", "svg");
          t === "::before" ? e.insertBefore(ee, e.firstChild) : e.appendChild(ee), ee.outerHTML = Se.map(function(pt) {
            return Ve(pt);
          }).join(`
`), e.removeAttribute(n), a();
        }).catch(r);
      } else
        a();
    } else
      a();
  });
}
function ii(e) {
  return Promise.all([kn(e, "::before"), kn(e, "::after")]);
}
function oi(e) {
  return e.parentNode !== document.head && !~Xa.indexOf(e.tagName.toUpperCase()) && !e.getAttribute(At) && (!e.parentNode || e.parentNode.tagName !== "svg");
}
function wn(e) {
  if (se)
    return new Promise(function(t, n) {
      var a = Ce(e.querySelectorAll("*")).filter(oi).map(ii), r = Gt.begin("searchPseudoElements");
      ea(), Promise.all(a).then(function() {
        r(), Pt(), t();
      }).catch(function() {
        r(), Pt(), n();
      });
    });
}
var si = {
  hooks: function() {
    return {
      mutationObserverCallbacks: function(n) {
        return n.pseudoElementsCallback = wn, n;
      }
    };
  },
  provides: function(t) {
    t.pseudoElements2svg = function(n) {
      var a = n.node, r = a === void 0 ? z : a;
      h.searchPseudoElements && wn(r);
    };
  }
}, xn = !1, li = {
  mixout: function() {
    return {
      dom: {
        unwatch: function() {
          ea(), xn = !0;
        }
      }
    };
  },
  hooks: function() {
    return {
      bootstrap: function() {
        gn(Ot("mutationObserverCallbacks", {}));
      },
      noAuto: function() {
        Yr();
      },
      watch: function(n) {
        var a = n.observeMutationsRoot;
        xn ? Pt() : gn(Ot("mutationObserverCallbacks", {
          observeMutationsRoot: a
        }));
      }
    };
  }
}, _n = function(t) {
  var n = {
    size: 16,
    x: 0,
    y: 0,
    flipX: !1,
    flipY: !1,
    rotate: 0
  };
  return t.toLowerCase().split(" ").reduce(function(a, r) {
    var i = r.toLowerCase().split("-"), o = i[0], s = i.slice(1).join("-");
    if (o && s === "h")
      return a.flipX = !0, a;
    if (o && s === "v")
      return a.flipY = !0, a;
    if (s = parseFloat(s), isNaN(s))
      return a;
    switch (o) {
      case "grow":
        a.size = a.size + s;
        break;
      case "shrink":
        a.size = a.size - s;
        break;
      case "left":
        a.x = a.x - s;
        break;
      case "right":
        a.x = a.x + s;
        break;
      case "up":
        a.y = a.y - s;
        break;
      case "down":
        a.y = a.y + s;
        break;
      case "rotate":
        a.rotate = a.rotate + s;
        break;
    }
    return a;
  }, n);
}, ci = {
  mixout: function() {
    return {
      parse: {
        transform: function(n) {
          return _n(n);
        }
      }
    };
  },
  hooks: function() {
    return {
      parseNodeAttributes: function(n, a) {
        var r = a.getAttribute("data-fa-transform");
        return r && (n.transform = _n(r)), n;
      }
    };
  },
  provides: function(t) {
    t.generateAbstractTransformGrouping = function(n) {
      var a = n.main, r = n.transform, i = n.containerWidth, o = n.iconWidth, s = {
        transform: "translate(".concat(i / 2, " 256)")
      }, l = "translate(".concat(r.x * 32, ", ").concat(r.y * 32, ") "), f = "scale(".concat(r.size / 16 * (r.flipX ? -1 : 1), ", ").concat(r.size / 16 * (r.flipY ? -1 : 1), ") "), c = "rotate(".concat(r.rotate, " 0 0)"), u = {
        transform: "".concat(l, " ").concat(f, " ").concat(c)
      }, b = {
        transform: "translate(".concat(o / 2 * -1, " -256)")
      }, m = {
        outer: s,
        inner: u,
        path: b
      };
      return {
        tag: "g",
        attributes: g({}, m.outer),
        children: [{
          tag: "g",
          attributes: g({}, m.inner),
          children: [{
            tag: a.icon.tag,
            children: a.icon.children,
            attributes: g(g({}, a.icon.attributes), m.path)
          }]
        }]
      };
    };
  }
}, wt = {
  x: 0,
  y: 0,
  width: "100%",
  height: "100%"
};
function An(e) {
  var t = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : !0;
  return e.attributes && (e.attributes.fill || t) && (e.attributes.fill = "black"), e;
}
function fi(e) {
  return e.tag === "g" ? e.children : [e];
}
var ui = {
  hooks: function() {
    return {
      parseNodeAttributes: function(n, a) {
        var r = a.getAttribute("data-fa-mask"), i = r ? mt(r.split(" ").map(function(o) {
          return o.trim();
        })) : Ut();
        return i.prefix || (i.prefix = me()), n.mask = i, n.maskId = a.getAttribute("data-fa-mask-id"), n;
      }
    };
  },
  provides: function(t) {
    t.generateAbstractMask = function(n) {
      var a = n.children, r = n.attributes, i = n.main, o = n.mask, s = n.maskId, l = n.transform, f = i.width, c = i.icon, u = o.width, b = o.icon, m = fr({
        transform: l,
        containerWidth: u,
        iconWidth: f
      }), y = {
        tag: "rect",
        attributes: g(g({}, wt), {}, {
          fill: "white"
        })
      }, x = c.children ? {
        children: c.children.map(An)
      } : {}, k = {
        tag: "g",
        attributes: g({}, m.inner),
        children: [An(g({
          tag: c.tag,
          attributes: g(g({}, c.attributes), m.path)
        }, x))]
      }, d = {
        tag: "g",
        attributes: g({}, m.outer),
        children: [k]
      }, v = "mask-".concat(s || Re()), _ = "clip-".concat(s || Re()), O = {
        tag: "mask",
        attributes: g(g({}, wt), {}, {
          id: v,
          maskUnits: "userSpaceOnUse",
          maskContentUnits: "userSpaceOnUse"
        }),
        children: [y, d]
      }, E = {
        tag: "defs",
        children: [{
          tag: "clipPath",
          attributes: {
            id: _
          },
          children: fi(b)
        }, O]
      };
      return a.push(E, {
        tag: "rect",
        attributes: g({
          fill: "currentColor",
          "clip-path": "url(#".concat(_, ")"),
          mask: "url(#".concat(v, ")")
        }, wt)
      }), {
        children: a,
        attributes: r
      };
    };
  }
}, mi = {
  provides: function(t) {
    var n = !1;
    ue.matchMedia && (n = ue.matchMedia("(prefers-reduced-motion: reduce)").matches), t.missingIconAbstract = function() {
      var a = [], r = {
        fill: "currentColor"
      }, i = {
        attributeType: "XML",
        repeatCount: "indefinite",
        dur: "2s"
      };
      a.push({
        tag: "path",
        attributes: g(g({}, r), {}, {
          d: "M156.5,447.7l-12.6,29.5c-18.7-9.5-35.9-21.2-51.5-34.9l22.7-22.7C127.6,430.5,141.5,440,156.5,447.7z M40.6,272H8.5 c1.4,21.2,5.4,41.7,11.7,61.1L50,321.2C45.1,305.5,41.8,289,40.6,272z M40.6,240c1.4-18.8,5.2-37,11.1-54.1l-29.5-12.6 C14.7,194.3,10,216.7,8.5,240H40.6z M64.3,156.5c7.8-14.9,17.2-28.8,28.1-41.5L69.7,92.3c-13.7,15.6-25.5,32.8-34.9,51.5 L64.3,156.5z M397,419.6c-13.9,12-29.4,22.3-46.1,30.4l11.9,29.8c20.7-9.9,39.8-22.6,56.9-37.6L397,419.6z M115,92.4 c13.9-12,29.4-22.3,46.1-30.4l-11.9-29.8c-20.7,9.9-39.8,22.6-56.8,37.6L115,92.4z M447.7,355.5c-7.8,14.9-17.2,28.8-28.1,41.5 l22.7,22.7c13.7-15.6,25.5-32.9,34.9-51.5L447.7,355.5z M471.4,272c-1.4,18.8-5.2,37-11.1,54.1l29.5,12.6 c7.5-21.1,12.2-43.5,13.6-66.8H471.4z M321.2,462c-15.7,5-32.2,8.2-49.2,9.4v32.1c21.2-1.4,41.7-5.4,61.1-11.7L321.2,462z M240,471.4c-18.8-1.4-37-5.2-54.1-11.1l-12.6,29.5c21.1,7.5,43.5,12.2,66.8,13.6V471.4z M462,190.8c5,15.7,8.2,32.2,9.4,49.2h32.1 c-1.4-21.2-5.4-41.7-11.7-61.1L462,190.8z M92.4,397c-12-13.9-22.3-29.4-30.4-46.1l-29.8,11.9c9.9,20.7,22.6,39.8,37.6,56.9 L92.4,397z M272,40.6c18.8,1.4,36.9,5.2,54.1,11.1l12.6-29.5C317.7,14.7,295.3,10,272,8.5V40.6z M190.8,50 c15.7-5,32.2-8.2,49.2-9.4V8.5c-21.2,1.4-41.7,5.4-61.1,11.7L190.8,50z M442.3,92.3L419.6,115c12,13.9,22.3,29.4,30.5,46.1 l29.8-11.9C470,128.5,457.3,109.4,442.3,92.3z M397,92.4l22.7-22.7c-15.6-13.7-32.8-25.5-51.5-34.9l-12.6,29.5 C370.4,72.1,384.4,81.5,397,92.4z"
        })
      });
      var o = g(g({}, i), {}, {
        attributeName: "opacity"
      }), s = {
        tag: "circle",
        attributes: g(g({}, r), {}, {
          cx: "256",
          cy: "364",
          r: "28"
        }),
        children: []
      };
      return n || s.children.push({
        tag: "animate",
        attributes: g(g({}, i), {}, {
          attributeName: "r",
          values: "28;14;28;28;14;28;"
        })
      }, {
        tag: "animate",
        attributes: g(g({}, o), {}, {
          values: "1;0;1;1;0;1;"
        })
      }), a.push(s), a.push({
        tag: "path",
        attributes: g(g({}, r), {}, {
          opacity: "1",
          d: "M263.7,312h-16c-6.6,0-12-5.4-12-12c0-71,77.4-63.9,77.4-107.8c0-20-17.8-40.2-57.4-40.2c-29.1,0-44.3,9.6-59.2,28.7 c-3.9,5-11.1,6-16.2,2.4l-13.1-9.2c-5.6-3.9-6.9-11.8-2.6-17.2c21.2-27.2,46.4-44.7,91.2-44.7c52.3,0,97.4,29.8,97.4,80.2 c0,67.6-77.4,63.5-77.4,107.8C275.7,306.6,270.3,312,263.7,312z"
        }),
        children: n ? [] : [{
          tag: "animate",
          attributes: g(g({}, o), {}, {
            values: "1;0;0;0;0;1;"
          })
        }]
      }), n || a.push({
        tag: "path",
        attributes: g(g({}, r), {}, {
          opacity: "0",
          d: "M232.5,134.5l7,168c0.3,6.4,5.6,11.5,12,11.5h9c6.4,0,11.7-5.1,12-11.5l7-168c0.3-6.8-5.2-12.5-12-12.5h-23 C237.7,122,232.2,127.7,232.5,134.5z"
        }),
        children: [{
          tag: "animate",
          attributes: g(g({}, o), {}, {
            values: "0;0;1;1;0;0;"
          })
        }]
      }), {
        tag: "g",
        attributes: {
          class: "missing"
        },
        children: a
      };
    };
  }
}, di = {
  hooks: function() {
    return {
      parseNodeAttributes: function(n, a) {
        var r = a.getAttribute("data-fa-symbol"), i = r === null ? !1 : r === "" ? !0 : r;
        return n.symbol = i, n;
      }
    };
  }
}, vi = [dr, Zr, ei, ti, ni, si, li, ci, ui, mi, di];
Or(vi, {
  mixoutsTo: q
});
q.noAuto;
var na = q.config;
q.library;
q.dom;
var st = q.parse;
q.findIconDefinition;
q.toHtml;
var pi = q.icon;
q.layer;
var gi = q.text;
q.counter;
function Cn(e, t) {
  var n = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var a = Object.getOwnPropertySymbols(e);
    t && (a = a.filter(function(r) {
      return Object.getOwnPropertyDescriptor(e, r).enumerable;
    })), n.push.apply(n, a);
  }
  return n;
}
function Q(e) {
  for (var t = 1; t < arguments.length; t++) {
    var n = arguments[t] != null ? arguments[t] : {};
    t % 2 ? Cn(Object(n), !0).forEach(function(a) {
      W(e, a, n[a]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(n)) : Cn(Object(n)).forEach(function(a) {
      Object.defineProperty(e, a, Object.getOwnPropertyDescriptor(n, a));
    });
  }
  return e;
}
function bi(e, t) {
  if (typeof e != "object" || !e)
    return e;
  var n = e[Symbol.toPrimitive];
  if (n !== void 0) {
    var a = n.call(e, t || "default");
    if (typeof a != "object")
      return a;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return (t === "string" ? String : Number)(e);
}
function hi(e) {
  var t = bi(e, "string");
  return typeof t == "symbol" ? t : t + "";
}
function lt(e) {
  "@babel/helpers - typeof";
  return lt = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(t) {
    return typeof t;
  } : function(t) {
    return t && typeof Symbol == "function" && t.constructor === Symbol && t !== Symbol.prototype ? "symbol" : typeof t;
  }, lt(e);
}
function W(e, t, n) {
  return t = hi(t), t in e ? Object.defineProperty(e, t, {
    value: n,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : e[t] = n, e;
}
function yi(e, t) {
  if (e == null)
    return {};
  var n = {};
  for (var a in e)
    if (Object.prototype.hasOwnProperty.call(e, a)) {
      if (t.indexOf(a) >= 0)
        continue;
      n[a] = e[a];
    }
  return n;
}
function ki(e, t) {
  if (e == null)
    return {};
  var n = yi(e, t), a, r;
  if (Object.getOwnPropertySymbols) {
    var i = Object.getOwnPropertySymbols(e);
    for (r = 0; r < i.length; r++)
      a = i[r], !(t.indexOf(a) >= 0) && Object.prototype.propertyIsEnumerable.call(e, a) && (n[a] = e[a]);
  }
  return n;
}
function zt(e) {
  return wi(e) || xi(e) || _i(e) || Ai();
}
function wi(e) {
  if (Array.isArray(e))
    return It(e);
}
function xi(e) {
  if (typeof Symbol < "u" && e[Symbol.iterator] != null || e["@@iterator"] != null)
    return Array.from(e);
}
function _i(e, t) {
  if (e) {
    if (typeof e == "string")
      return It(e, t);
    var n = Object.prototype.toString.call(e).slice(8, -1);
    if (n === "Object" && e.constructor && (n = e.constructor.name), n === "Map" || n === "Set")
      return Array.from(e);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))
      return It(e, t);
  }
}
function It(e, t) {
  (t == null || t > e.length) && (t = e.length);
  for (var n = 0, a = new Array(t); n < t; n++)
    a[n] = e[n];
  return a;
}
function Ai() {
  throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
var Ci = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {}, aa = { exports: {} };
(function(e) {
  (function(t) {
    var n = function(d, v, _) {
      if (!f(v) || u(v) || b(v) || m(v) || l(v))
        return v;
      var O, E = 0, R = 0;
      if (c(v))
        for (O = [], R = v.length; E < R; E++)
          O.push(n(d, v[E], _));
      else {
        O = {};
        for (var V in v)
          Object.prototype.hasOwnProperty.call(v, V) && (O[d(V, _)] = n(d, v[V], _));
      }
      return O;
    }, a = function(d, v) {
      v = v || {};
      var _ = v.separator || "_", O = v.split || /(?=[A-Z])/;
      return d.split(O).join(_);
    }, r = function(d) {
      return y(d) ? d : (d = d.replace(/[\-_\s]+(.)?/g, function(v, _) {
        return _ ? _.toUpperCase() : "";
      }), d.substr(0, 1).toLowerCase() + d.substr(1));
    }, i = function(d) {
      var v = r(d);
      return v.substr(0, 1).toUpperCase() + v.substr(1);
    }, o = function(d, v) {
      return a(d, v).toLowerCase();
    }, s = Object.prototype.toString, l = function(d) {
      return typeof d == "function";
    }, f = function(d) {
      return d === Object(d);
    }, c = function(d) {
      return s.call(d) == "[object Array]";
    }, u = function(d) {
      return s.call(d) == "[object Date]";
    }, b = function(d) {
      return s.call(d) == "[object RegExp]";
    }, m = function(d) {
      return s.call(d) == "[object Boolean]";
    }, y = function(d) {
      return d = d - 0, d === d;
    }, x = function(d, v) {
      var _ = v && "process" in v ? v.process : v;
      return typeof _ != "function" ? d : function(O, E) {
        return _(O, d, E);
      };
    }, k = {
      camelize: r,
      decamelize: o,
      pascalize: i,
      depascalize: o,
      camelizeKeys: function(d, v) {
        return n(x(r, v), d);
      },
      decamelizeKeys: function(d, v) {
        return n(x(o, v), d, v);
      },
      pascalizeKeys: function(d, v) {
        return n(x(i, v), d);
      },
      depascalizeKeys: function() {
        return this.decamelizeKeys.apply(this, arguments);
      }
    };
    e.exports ? e.exports = k : t.humps = k;
  })(Ci);
})(aa);
var Si = aa.exports, Oi = ["class", "style"];
function Ti(e) {
  return e.split(";").map(function(t) {
    return t.trim();
  }).filter(function(t) {
    return t;
  }).reduce(function(t, n) {
    var a = n.indexOf(":"), r = Si.camelize(n.slice(0, a)), i = n.slice(a + 1).trim();
    return t[r] = i, t;
  }, {});
}
function Ei(e) {
  return e.split(/\s+/).reduce(function(t, n) {
    return t[n] = !0, t;
  }, {});
}
function Xt(e) {
  var t = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, n = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {};
  if (typeof e == "string")
    return e;
  var a = (e.children || []).map(function(l) {
    return Xt(l);
  }), r = Object.keys(e.attributes || {}).reduce(function(l, f) {
    var c = e.attributes[f];
    switch (f) {
      case "class":
        l.class = Ei(c);
        break;
      case "style":
        l.style = Ti(c);
        break;
      default:
        l.attrs[f] = c;
    }
    return l;
  }, {
    attrs: {},
    class: {},
    style: {}
  });
  n.class;
  var i = n.style, o = i === void 0 ? {} : i, s = ki(n, Oi);
  return On(e.tag, Q(Q(Q({}, t), {}, {
    class: r.class,
    style: Q(Q({}, r.style), o)
  }, r.attrs), s), a);
}
var ra = !1;
try {
  ra = process.env.NODE_ENV === "production";
} catch {
}
function Ni() {
  if (!ra && console && typeof console.error == "function") {
    var e;
    (e = console).error.apply(e, arguments);
  }
}
function Pe(e, t) {
  return Array.isArray(t) && t.length > 0 || !Array.isArray(t) && t ? W({}, e, t) : {};
}
function Mi(e) {
  var t, n = (t = {
    "fa-spin": e.spin,
    "fa-pulse": e.pulse,
    "fa-fw": e.fixedWidth,
    "fa-border": e.border,
    "fa-li": e.listItem,
    "fa-inverse": e.inverse,
    "fa-flip": e.flip === !0,
    "fa-flip-horizontal": e.flip === "horizontal" || e.flip === "both",
    "fa-flip-vertical": e.flip === "vertical" || e.flip === "both"
  }, W(W(W(W(W(W(W(W(W(W(t, "fa-".concat(e.size), e.size !== null), "fa-rotate-".concat(e.rotation), e.rotation !== null), "fa-pull-".concat(e.pull), e.pull !== null), "fa-swap-opacity", e.swapOpacity), "fa-bounce", e.bounce), "fa-shake", e.shake), "fa-beat", e.beat), "fa-fade", e.fade), "fa-beat-fade", e.beatFade), "fa-flash", e.flash), W(W(t, "fa-spin-pulse", e.spinPulse), "fa-spin-reverse", e.spinReverse));
  return Object.keys(n).map(function(a) {
    return n[a] ? a : null;
  }).filter(function(a) {
    return a;
  });
}
function Sn(e) {
  if (e && lt(e) === "object" && e.prefix && e.iconName && e.icon)
    return e;
  if (st.icon)
    return st.icon(e);
  if (e === null)
    return null;
  if (lt(e) === "object" && e.prefix && e.iconName)
    return e;
  if (Array.isArray(e) && e.length === 2)
    return {
      prefix: e[0],
      iconName: e[1]
    };
  if (typeof e == "string")
    return {
      prefix: "fas",
      iconName: e
    };
}
var ct = G({
  name: "FontAwesomeIcon",
  props: {
    border: {
      type: Boolean,
      default: !1
    },
    fixedWidth: {
      type: Boolean,
      default: !1
    },
    flip: {
      type: [Boolean, String],
      default: !1,
      validator: function(t) {
        return [!0, !1, "horizontal", "vertical", "both"].indexOf(t) > -1;
      }
    },
    icon: {
      type: [Object, Array, String],
      required: !0
    },
    mask: {
      type: [Object, Array, String],
      default: null
    },
    maskId: {
      type: String,
      default: null
    },
    listItem: {
      type: Boolean,
      default: !1
    },
    pull: {
      type: String,
      default: null,
      validator: function(t) {
        return ["right", "left"].indexOf(t) > -1;
      }
    },
    pulse: {
      type: Boolean,
      default: !1
    },
    rotation: {
      type: [String, Number],
      default: null,
      validator: function(t) {
        return [90, 180, 270].indexOf(Number.parseInt(t, 10)) > -1;
      }
    },
    swapOpacity: {
      type: Boolean,
      default: !1
    },
    size: {
      type: String,
      default: null,
      validator: function(t) {
        return ["2xs", "xs", "sm", "lg", "xl", "2xl", "1x", "2x", "3x", "4x", "5x", "6x", "7x", "8x", "9x", "10x"].indexOf(t) > -1;
      }
    },
    spin: {
      type: Boolean,
      default: !1
    },
    transform: {
      type: [String, Object],
      default: null
    },
    symbol: {
      type: [Boolean, String],
      default: !1
    },
    title: {
      type: String,
      default: null
    },
    titleId: {
      type: String,
      default: null
    },
    inverse: {
      type: Boolean,
      default: !1
    },
    bounce: {
      type: Boolean,
      default: !1
    },
    shake: {
      type: Boolean,
      default: !1
    },
    beat: {
      type: Boolean,
      default: !1
    },
    fade: {
      type: Boolean,
      default: !1
    },
    beatFade: {
      type: Boolean,
      default: !1
    },
    flash: {
      type: Boolean,
      default: !1
    },
    spinPulse: {
      type: Boolean,
      default: !1
    },
    spinReverse: {
      type: Boolean,
      default: !1
    }
  },
  setup: function(t, n) {
    var a = n.attrs, r = X(function() {
      return Sn(t.icon);
    }), i = X(function() {
      return Pe("classes", Mi(t));
    }), o = X(function() {
      return Pe("transform", typeof t.transform == "string" ? st.transform(t.transform) : t.transform);
    }), s = X(function() {
      return Pe("mask", Sn(t.mask));
    }), l = X(function() {
      return pi(r.value, Q(Q(Q(Q({}, i.value), o.value), s.value), {}, {
        symbol: t.symbol,
        title: t.title,
        titleId: t.titleId,
        maskId: t.maskId
      }));
    });
    ze(l, function(c) {
      if (!c)
        return Ni("Could not find one or more icon(s)", r.value, s.value);
    }, {
      immediate: !0
    });
    var f = X(function() {
      return l.value ? Xt(l.value.abstract[0], {}, a) : null;
    });
    return function() {
      return f.value;
    };
  }
});
G({
  name: "FontAwesomeLayers",
  props: {
    fixedWidth: {
      type: Boolean,
      default: !1
    }
  },
  setup: function(t, n) {
    var a = n.slots, r = na.familyPrefix, i = X(function() {
      return ["".concat(r, "-layers")].concat(zt(t.fixedWidth ? ["".concat(r, "-fw")] : []));
    });
    return function() {
      return On("div", {
        class: i.value
      }, a.default ? a.default() : []);
    };
  }
});
G({
  name: "FontAwesomeLayersText",
  props: {
    value: {
      type: [String, Number],
      default: ""
    },
    transform: {
      type: [String, Object],
      default: null
    },
    counter: {
      type: Boolean,
      default: !1
    },
    position: {
      type: String,
      default: null,
      validator: function(t) {
        return ["bottom-left", "bottom-right", "top-left", "top-right"].indexOf(t) > -1;
      }
    }
  },
  setup: function(t, n) {
    var a = n.attrs, r = na.familyPrefix, i = X(function() {
      return Pe("classes", [].concat(zt(t.counter ? ["".concat(r, "-layers-counter")] : []), zt(t.position ? ["".concat(r, "-layers-").concat(t.position)] : [])));
    }), o = X(function() {
      return Pe("transform", typeof t.transform == "string" ? st.transform(t.transform) : t.transform);
    }), s = X(function() {
      var f = gi(t.value.toString(), Q(Q({}, o.value), i.value)), c = f.abstract;
      return t.counter && (c[0].attributes.class = c[0].attributes.class.replace("fa-layers-text", "")), c[0];
    }), l = X(function() {
      return Xt(s.value, {}, a);
    });
    return function() {
      return l.value;
    };
  }
});
var Pi = {
  prefix: "fas",
  iconName: "message",
  icon: [512, 512, ["comment-alt"], "f27a", "M64 0C28.7 0 0 28.7 0 64V352c0 35.3 28.7 64 64 64h96v80c0 6.1 3.4 11.6 8.8 14.3s11.9 2.1 16.8-1.5L309.3 416H448c35.3 0 64-28.7 64-64V64c0-35.3-28.7-64-64-64H64z"]
}, zi = {
  prefix: "fas",
  iconName: "info",
  icon: [192, 512, [], "f129", "M48 80a48 48 0 1 1 96 0A48 48 0 1 1 48 80zM0 224c0-17.7 14.3-32 32-32H96c17.7 0 32 14.3 32 32V448h32c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H64V256H32c-17.7 0-32-14.3-32-32z"]
}, Ii = {
  prefix: "fas",
  iconName: "arrows-up-to-line",
  icon: [576, 512, [], "e4c2", "M32 96l512 0c17.7 0 32-14.3 32-32s-14.3-32-32-32L32 32C14.3 32 0 46.3 0 64S14.3 96 32 96zM9.4 233.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L96 237.3 96 448c0 17.7 14.3 32 32 32s32-14.3 32-32l0-210.7 41.4 41.4c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3l-96-96c-12.5-12.5-32.8-12.5-45.3 0l-96 96zm320 45.3c12.5 12.5 32.8 12.5 45.3 0L416 237.3 416 448c0 17.7 14.3 32 32 32s32-14.3 32-32l0-210.7 41.4 41.4c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3l-96-96c-12.5-12.5-32.8-12.5-45.3 0l-96 96c-12.5 12.5-12.5 32.8 0 45.3z"]
}, Li = {
  prefix: "fas",
  iconName: "strikethrough",
  icon: [512, 512, [], "f0cc", "M161.3 144c3.2-17.2 14-30.1 33.7-38.6c21.1-9 51.8-12.3 88.6-6.5c11.9 1.9 48.8 9.1 60.1 12c17.1 4.5 34.6-5.6 39.2-22.7s-5.6-34.6-22.7-39.2c-14.3-3.8-53.6-11.4-66.6-13.4c-44.7-7-88.3-4.2-123.7 10.9c-36.5 15.6-64.4 44.8-71.8 87.3c-.1 .6-.2 1.1-.2 1.7c-2.8 23.9 .5 45.6 10.1 64.6c4.5 9 10.2 16.9 16.7 23.9H32c-17.7 0-32 14.3-32 32s14.3 32 32 32H480c17.7 0 32-14.3 32-32s-14.3-32-32-32H270.1c-.1 0-.3-.1-.4-.1l-1.1-.3c-36-10.8-65.2-19.6-85.2-33.1c-9.3-6.3-15-12.6-18.2-19.1c-3.1-6.1-5.2-14.6-3.8-27.4zM348.9 337.2c2.7 6.5 4.4 15.8 1.9 30.1c-3 17.6-13.8 30.8-33.9 39.4c-21.1 9-51.7 12.3-88.5 6.5c-18-2.9-49.1-13.5-74.4-22.1c-5.6-1.9-11-3.7-15.9-5.4c-16.8-5.6-34.9 3.5-40.5 20.3s3.5 34.9 20.3 40.5c3.6 1.2 7.9 2.7 12.7 4.3l0 0 0 0c24.9 8.5 63.6 21.7 87.6 25.6l0 0 .2 0c44.7 7 88.3 4.2 123.7-10.9c36.5-15.6 64.4-44.8 71.8-87.3c3.6-21 2.7-40.4-3.1-58.1H335.1c7 5.6 11.4 11.2 13.9 17.2z"]
}, Hi = {
  prefix: "fas",
  iconName: "table",
  icon: [512, 512, [], "f0ce", "M64 256V160H224v96H64zm0 64H224v96H64V320zm224 96V320H448v96H288zM448 256H288V160H448v96zM64 32C28.7 32 0 60.7 0 96V416c0 35.3 28.7 64 64 64H448c35.3 0 64-28.7 64-64V96c0-35.3-28.7-64-64-64H64z"]
}, $i = {
  prefix: "fas",
  iconName: "maximize",
  icon: [512, 512, ["expand-arrows-alt"], "f31e", "M200 32H56C42.7 32 32 42.7 32 56V200c0 9.7 5.8 18.5 14.8 22.2s19.3 1.7 26.2-5.2l40-40 79 79-79 79L73 295c-6.9-6.9-17.2-8.9-26.2-5.2S32 302.3 32 312V456c0 13.3 10.7 24 24 24H200c9.7 0 18.5-5.8 22.2-14.8s1.7-19.3-5.2-26.2l-40-40 79-79 79 79-40 40c-6.9 6.9-8.9 17.2-5.2 26.2s12.5 14.8 22.2 14.8H456c13.3 0 24-10.7 24-24V312c0-9.7-5.8-18.5-14.8-22.2s-19.3-1.7-26.2 5.2l-40 40-79-79 79-79 40 40c6.9 6.9 17.2 8.9 26.2 5.2s14.8-12.5 14.8-22.2V56c0-13.3-10.7-24-24-24H312c-9.7 0-18.5 5.8-22.2 14.8s-1.7 19.3 5.2 26.2l40 40-79 79-79-79 40-40c6.9-6.9 8.9-17.2 5.2-26.2S209.7 32 200 32z"]
}, Ri = {
  prefix: "fas",
  iconName: "bold",
  icon: [384, 512, [], "f032", "M0 64C0 46.3 14.3 32 32 32H80 96 224c70.7 0 128 57.3 128 128c0 31.3-11.3 60.1-30 82.3c37.1 22.4 62 63.1 62 109.7c0 70.7-57.3 128-128 128H96 80 32c-17.7 0-32-14.3-32-32s14.3-32 32-32H48V256 96H32C14.3 96 0 81.7 0 64zM224 224c35.3 0 64-28.7 64-64s-28.7-64-64-64H112V224H224zM112 288V416H256c35.3 0 64-28.7 64-64s-28.7-64-64-64H224 112z"]
}, Di = {
  prefix: "fas",
  iconName: "image",
  icon: [512, 512, [], "f03e", "M0 96C0 60.7 28.7 32 64 32H448c35.3 0 64 28.7 64 64V416c0 35.3-28.7 64-64 64H64c-35.3 0-64-28.7-64-64V96zM323.8 202.5c-4.5-6.6-11.9-10.5-19.8-10.5s-15.4 3.9-19.8 10.5l-87 127.6L170.7 297c-4.6-5.7-11.5-9-18.7-9s-14.2 3.3-18.7 9l-64 80c-5.8 7.2-6.9 17.1-2.9 25.4s12.4 13.6 21.6 13.6h96 32H424c8.9 0 17.1-4.9 21.2-12.8s3.6-17.4-1.4-24.7l-120-176zM112 192a48 48 0 1 0 0-96 48 48 0 1 0 0 96z"]
}, Fi = {
  prefix: "fas",
  iconName: "italic",
  icon: [384, 512, [], "f033", "M128 64c0-17.7 14.3-32 32-32H352c17.7 0 32 14.3 32 32s-14.3 32-32 32H293.3L160 416h64c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H90.7L224 96H160c-17.7 0-32-14.3-32-32z"]
}, ji = {
  prefix: "fas",
  iconName: "list-ol",
  icon: [512, 512, ["list-1-2", "list-numeric"], "f0cb", "M24 56c0-13.3 10.7-24 24-24H80c13.3 0 24 10.7 24 24V176h16c13.3 0 24 10.7 24 24s-10.7 24-24 24H40c-13.3 0-24-10.7-24-24s10.7-24 24-24H56V80H48C34.7 80 24 69.3 24 56zM86.7 341.2c-6.5-7.4-18.3-6.9-24 1.2L51.5 357.9c-7.7 10.8-22.7 13.3-33.5 5.6s-13.3-22.7-5.6-33.5l11.1-15.6c23.7-33.2 72.3-35.6 99.2-4.9c21.3 24.4 20.8 60.9-1.1 84.7L86.8 432H120c13.3 0 24 10.7 24 24s-10.7 24-24 24H32c-9.5 0-18.2-5.6-22-14.4s-2.1-18.9 4.3-25.9l72-78c5.3-5.8 5.4-14.6 .3-20.5zM224 64H480c17.7 0 32 14.3 32 32s-14.3 32-32 32H224c-17.7 0-32-14.3-32-32s14.3-32 32-32zm0 160H480c17.7 0 32 14.3 32 32s-14.3 32-32 32H224c-17.7 0-32-14.3-32-32s14.3-32 32-32zm0 160H480c17.7 0 32 14.3 32 32s-14.3 32-32 32H224c-17.7 0-32-14.3-32-32s14.3-32 32-32z"]
}, Vi = {
  prefix: "fas",
  iconName: "question",
  icon: [320, 512, [10067, 10068, 61736], "3f", "M80 160c0-35.3 28.7-64 64-64h32c35.3 0 64 28.7 64 64v3.6c0 21.8-11.1 42.1-29.4 53.8l-42.2 27.1c-25.2 16.2-40.4 44.1-40.4 74V320c0 17.7 14.3 32 32 32s32-14.3 32-32v-1.4c0-8.2 4.2-15.8 11-20.2l42.2-27.1c36.6-23.6 58.8-64.1 58.8-107.7V160c0-70.7-57.3-128-128-128H144C73.3 32 16 89.3 16 160c0 17.7 14.3 32 32 32s32-14.3 32-32zm80 320a40 40 0 1 0 0-80 40 40 0 1 0 0 80z"]
}, Bi = {
  prefix: "fas",
  iconName: "code",
  icon: [640, 512, [], "f121", "M392.8 1.2c-17-4.9-34.7 5-39.6 22l-128 448c-4.9 17 5 34.7 22 39.6s34.7-5 39.6-22l128-448c4.9-17-5-34.7-22-39.6zm80.6 120.1c-12.5 12.5-12.5 32.8 0 45.3L562.7 256l-89.4 89.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0l112-112c12.5-12.5 12.5-32.8 0-45.3l-112-112c-12.5-12.5-32.8-12.5-45.3 0zm-306.7 0c-12.5-12.5-32.8-12.5-45.3 0l-112 112c-12.5 12.5-12.5 32.8 0 45.3l112 112c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L77.3 256l89.4-89.4c12.5-12.5 12.5-32.8 0-45.3z"]
}, Yi = {
  prefix: "fas",
  iconName: "align-left",
  icon: [448, 512, [], "f036", "M288 64c0 17.7-14.3 32-32 32H32C14.3 96 0 81.7 0 64S14.3 32 32 32H256c17.7 0 32 14.3 32 32zm0 256c0 17.7-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H256c17.7 0 32 14.3 32 32zM0 192c0-17.7 14.3-32 32-32H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32zM448 448c0 17.7-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H416c17.7 0 32 14.3 32 32z"]
}, Ui = {
  prefix: "fas",
  iconName: "minus",
  icon: [448, 512, [8211, 8722, 10134, "subtract"], "f068", "M432 256c0 17.7-14.3 32-32 32L48 288c-17.7 0-32-14.3-32-32s14.3-32 32-32l352 0c17.7 0 32 14.3 32 32z"]
}, Wi = {
  prefix: "fas",
  iconName: "gear",
  icon: [512, 512, [9881, "cog"], "f013", "M495.9 166.6c3.2 8.7 .5 18.4-6.4 24.6l-43.3 39.4c1.1 8.3 1.7 16.8 1.7 25.4s-.6 17.1-1.7 25.4l43.3 39.4c6.9 6.2 9.6 15.9 6.4 24.6c-4.4 11.9-9.7 23.3-15.8 34.3l-4.7 8.1c-6.6 11-14 21.4-22.1 31.2c-5.9 7.2-15.7 9.6-24.5 6.8l-55.7-17.7c-13.4 10.3-28.2 18.9-44 25.4l-12.5 57.1c-2 9.1-9 16.3-18.2 17.8c-13.8 2.3-28 3.5-42.5 3.5s-28.7-1.2-42.5-3.5c-9.2-1.5-16.2-8.7-18.2-17.8l-12.5-57.1c-15.8-6.5-30.6-15.1-44-25.4L83.1 425.9c-8.8 2.8-18.6 .3-24.5-6.8c-8.1-9.8-15.5-20.2-22.1-31.2l-4.7-8.1c-6.1-11-11.4-22.4-15.8-34.3c-3.2-8.7-.5-18.4 6.4-24.6l43.3-39.4C64.6 273.1 64 264.6 64 256s.6-17.1 1.7-25.4L22.4 191.2c-6.9-6.2-9.6-15.9-6.4-24.6c4.4-11.9 9.7-23.3 15.8-34.3l4.7-8.1c6.6-11 14-21.4 22.1-31.2c5.9-7.2 15.7-9.6 24.5-6.8l55.7 17.7c13.4-10.3 28.2-18.9 44-25.4l12.5-57.1c2-9.1 9-16.3 18.2-17.8C227.3 1.2 241.5 0 256 0s28.7 1.2 42.5 3.5c9.2 1.5 16.2 8.7 18.2 17.8l12.5 57.1c15.8 6.5 30.6 15.1 44 25.4l55.7-17.7c8.8-2.8 18.6-.3 24.5 6.8c8.1 9.8 15.5 20.2 22.1 31.2l4.7 8.1c6.1 11 11.4 22.4 15.8 34.3zM256 336a80 80 0 1 0 0-160 80 80 0 1 0 0 160z"]
}, Gi = {
  prefix: "fas",
  iconName: "square-root-variable",
  icon: [576, 512, ["square-root-alt"], "f698", "M282.6 78.1c8-27.3 33-46.1 61.4-46.1H544c17.7 0 32 14.3 32 32s-14.3 32-32 32H344L238.7 457c-3.6 12.3-14.1 21.2-26.8 22.8s-25.1-4.6-31.5-15.6L77.6 288H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H77.6c22.8 0 43.8 12.1 55.3 31.8l65.2 111.8L282.6 78.1zM393.4 233.4c12.5-12.5 32.8-12.5 45.3 0L480 274.7l41.4-41.4c12.5-12.5 32.8-12.5 45.3 0s12.5 32.8 0 45.3L525.3 320l41.4 41.4c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L480 365.3l-41.4 41.4c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3L434.7 320l-41.4-41.4c-12.5-12.5-12.5-32.8 0-45.3z"]
}, qi = {
  prefix: "fas",
  iconName: "arrows-down-to-line",
  icon: [576, 512, [], "e4b8", "M544 416L32 416c-17.7 0-32 14.3-32 32s14.3 32 32 32l512 0c17.7 0 32-14.3 32-32s-14.3-32-32-32zm22.6-137.4c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L480 274.7 480 64c0-17.7-14.3-32-32-32s-32 14.3-32 32l0 210.7-41.4-41.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l96 96c12.5 12.5 32.8 12.5 45.3 0l96-96zm-320-45.3c-12.5-12.5-32.8-12.5-45.3 0L160 274.7 160 64c0-17.7-14.3-32-32-32s-32 14.3-32 32l0 210.7L54.6 233.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l96 96c12.5 12.5 32.8 12.5 45.3 0l96-96c12.5-12.5 12.5-32.8 0-45.3z"]
}, Xi = {
  prefix: "fas",
  iconName: "link",
  icon: [640, 512, [128279, "chain"], "f0c1", "M579.8 267.7c56.5-56.5 56.5-148 0-204.5c-50-50-128.8-56.5-186.3-15.4l-1.6 1.1c-14.4 10.3-17.7 30.3-7.4 44.6s30.3 17.7 44.6 7.4l1.6-1.1c32.1-22.9 76-19.3 103.8 8.6c31.5 31.5 31.5 82.5 0 114L422.3 334.8c-31.5 31.5-82.5 31.5-114 0c-27.9-27.9-31.5-71.8-8.6-103.8l1.1-1.6c10.3-14.4 6.9-34.4-7.4-44.6s-34.4-6.9-44.6 7.4l-1.1 1.6C206.5 251.2 213 330 263 380c56.5 56.5 148 56.5 204.5 0L579.8 267.7zM60.2 244.3c-56.5 56.5-56.5 148 0 204.5c50 50 128.8 56.5 186.3 15.4l1.6-1.1c14.4-10.3 17.7-30.3 7.4-44.6s-30.3-17.7-44.6-7.4l-1.6 1.1c-32.1 22.9-76 19.3-103.8-8.6C74 372 74 321 105.5 289.5L217.7 177.2c31.5-31.5 82.5-31.5 114 0c27.9 27.9 31.5 71.8 8.6 103.9l-1.1 1.6c-10.3 14.4-6.9 34.4 7.4 44.6s34.4 6.9 44.6-7.4l1.1-1.6C433.5 260.8 427 182 377 132c-56.5-56.5-148-56.5-204.5 0L60.2 244.3z"]
}, Ki = {
  prefix: "fas",
  iconName: "list-ul",
  icon: [512, 512, ["list-dots"], "f0ca", "M64 144a48 48 0 1 0 0-96 48 48 0 1 0 0 96zM192 64c-17.7 0-32 14.3-32 32s14.3 32 32 32H480c17.7 0 32-14.3 32-32s-14.3-32-32-32H192zm0 160c-17.7 0-32 14.3-32 32s14.3 32 32 32H480c17.7 0 32-14.3 32-32s-14.3-32-32-32H192zm0 160c-17.7 0-32 14.3-32 32s14.3 32 32 32H480c17.7 0 32-14.3 32-32s-14.3-32-32-32H192zM64 464a48 48 0 1 0 0-96 48 48 0 1 0 0 96zm48-208a48 48 0 1 0 -96 0 48 48 0 1 0 96 0z"]
}, Qi = {
  prefix: "fas",
  iconName: "list-check",
  icon: [512, 512, ["tasks"], "f0ae", "M152.1 38.2c9.9 8.9 10.7 24 1.8 33.9l-72 80c-4.4 4.9-10.6 7.8-17.2 7.9s-12.9-2.4-17.6-7L7 113C-2.3 103.6-2.3 88.4 7 79s24.6-9.4 33.9 0l22.1 22.1 55.1-61.2c8.9-9.9 24-10.7 33.9-1.8zm0 160c9.9 8.9 10.7 24 1.8 33.9l-72 80c-4.4 4.9-10.6 7.8-17.2 7.9s-12.9-2.4-17.6-7L7 273c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l22.1 22.1 55.1-61.2c8.9-9.9 24-10.7 33.9-1.8zM224 96c0-17.7 14.3-32 32-32H480c17.7 0 32 14.3 32 32s-14.3 32-32 32H256c-17.7 0-32-14.3-32-32zm0 160c0-17.7 14.3-32 32-32H480c17.7 0 32 14.3 32 32s-14.3 32-32 32H256c-17.7 0-32-14.3-32-32zM160 416c0-17.7 14.3-32 32-32H480c17.7 0 32 14.3 32 32s-14.3 32-32 32H192c-17.7 0-32-14.3-32-32zM48 368a48 48 0 1 1 0 96 48 48 0 1 1 0-96z"]
}, Ji = {
  prefix: "fas",
  iconName: "xmark",
  icon: [384, 512, [128473, 10005, 10006, 10060, 215, "close", "multiply", "remove", "times"], "f00d", "M342.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 210.7 86.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L146.7 256 41.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L192 301.3 297.4 406.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L237.3 256 342.6 150.6z"]
}, Zi = {
  prefix: "fas",
  iconName: "quote-left",
  icon: [448, 512, [8220, "quote-left-alt"], "f10d", "M0 216C0 149.7 53.7 96 120 96h8c17.7 0 32 14.3 32 32s-14.3 32-32 32h-8c-30.9 0-56 25.1-56 56v8h64c35.3 0 64 28.7 64 64v64c0 35.3-28.7 64-64 64H64c-35.3 0-64-28.7-64-64V320 288 216zm256 0c0-66.3 53.7-120 120-120h8c17.7 0 32 14.3 32 32s-14.3 32-32 32h-8c-30.9 0-56 25.1-56 56v8h64c35.3 0 64 28.7 64 64v64c0 35.3-28.7 64-64 64H320c-35.3 0-64-28.7-64-64V320 288 216z"]
}, eo = {
  prefix: "fas",
  iconName: "align-right",
  icon: [448, 512, [], "f038", "M448 64c0 17.7-14.3 32-32 32H192c-17.7 0-32-14.3-32-32s14.3-32 32-32H416c17.7 0 32 14.3 32 32zm0 256c0 17.7-14.3 32-32 32H192c-17.7 0-32-14.3-32-32s14.3-32 32-32H416c17.7 0 32 14.3 32 32zM0 192c0-17.7 14.3-32 32-32H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32zM448 448c0 17.7-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H416c17.7 0 32 14.3 32 32z"]
}, to = {
  prefix: "fab",
  iconName: "github",
  icon: [496, 512, [], "f09b", "M165.9 397.4c0 2-2.3 3.6-5.2 3.6-3.3.3-5.6-1.3-5.6-3.6 0-2 2.3-3.6 5.2-3.6 3-.3 5.6 1.3 5.6 3.6zm-31.1-4.5c-.7 2 1.3 4.3 4.3 4.9 2.6 1 5.6 0 6.2-2s-1.3-4.3-4.3-5.2c-2.6-.7-5.5.3-6.2 2.3zm44.2-1.7c-2.9.7-4.9 2.6-4.6 4.9.3 2 2.9 3.3 5.9 2.6 2.9-.7 4.9-2.6 4.6-4.6-.3-1.9-3-3.2-5.9-2.9zM244.8 8C106.1 8 0 113.3 0 252c0 110.9 69.8 205.8 169.5 239.2 12.8 2.3 17.3-5.6 17.3-12.1 0-6.2-.3-40.4-.3-61.4 0 0-70 15-84.7-29.8 0 0-11.4-29.1-27.8-36.6 0 0-22.9-15.7 1.6-15.4 0 0 24.9 2 38.6 25.8 21.9 38.6 58.6 27.5 72.9 20.9 2.3-16 8.8-27.1 16-33.7-55.9-6.2-112.3-14.3-112.3-110.5 0-27.5 7.6-41.3 23.6-58.9-2.6-6.5-11.1-33.3 2.6-67.9 20.9-6.5 69 27 69 27 20-5.6 41.5-8.5 62.8-8.5s42.8 2.9 62.8 8.5c0 0 48.1-33.6 69-27 13.7 34.7 5.2 61.4 2.6 67.9 16 17.7 25.8 31.5 25.8 58.9 0 96.5-58.9 104.2-114.8 110.5 9.2 7.9 17 22.9 17 46.4 0 33.7-.3 75.4-.3 83.6 0 6.5 4.6 14.4 17.3 12.1C428.2 457.8 496 362.9 496 252 496 113.3 383.5 8 244.8 8zM97.2 352.9c-1.3 1-1 3.3.7 5.2 1.6 1.6 3.9 2.3 5.2 1 1.3-1 1-3.3-.7-5.2-1.6-1.6-3.9-2.3-5.2-1zm-10.8-8.1c-.7 1.3.3 2.9 2.3 3.9 1.6 1 3.6.7 4.3-.7.7-1.3-.3-2.9-2.3-3.9-2-.6-3.6-.3-4.3.7zm32.4 35.6c-1.6 1.3-1 4.3 1.3 6.2 2.3 2.3 5.2 2.6 6.5 1 1.3-1.3.7-4.3-1.3-6.2-2.2-2.3-5.2-2.6-6.5-1zm-11.4-14.7c-1.6 1-1.6 3.6 0 5.9 1.6 2.3 4.3 3.3 5.6 2.3 1.6-1.3 1.6-3.9 0-6.2-1.4-2.3-4-3.3-5.6-2z"]
};
const $ = {
  xmark: Ji,
  config: Wi,
  headingup: Ii,
  headingdown: qi,
  bold: Ri,
  italic: Fi,
  strikethrough: Li,
  link: Xi,
  line: Ui,
  listul: Ki,
  listol: ji,
  listtask: Qi,
  code: Bi,
  block: Pi,
  math: Gi,
  editor: Yi,
  viewer: eo,
  expand: $i,
  info: zi,
  image: Di,
  table: Hi,
  quote: Zi,
  help: Vi,
  github: to
}, no = { class: "cs-dialog-header" }, vt = /* @__PURE__ */ G({
  __name: "MDialog",
  emits: ["close"],
  setup(e, { emit: t }) {
    const n = t, a = M(void 0);
    function r(i) {
      a.value && !a.value.contains(i.target) && n("close");
    }
    return (i, o) => (S(), I("div", {
      class: "cs-dialog-container",
      onClick: r
    }, [
      p("div", {
        class: "cs-dialog",
        ref_key: "dialog",
        ref: a
      }, [
        p("div", no, [
          Ee(i.$slots, "header"),
          p("div", {
            class: "cs-close-container",
            onClick: o[0] || (o[0] = (s) => n("close"))
          }, [
            K(w(ct), {
              icon: w($).xmark,
              class: "cs-icon"
            }, null, 8, ["icon"])
          ])
        ]),
        Ee(i.$slots, "default")
      ], 512)
    ]));
  }
}), ao = { class: "cs-dialog-item" }, ro = { class: "cs-dialog-item-label" }, io = ["value"], oo = { class: "cs-dialog-item" }, so = {
  class: "cs-dialog-item-label",
  style: { "min-height": "50vh" }
}, lo = { class: "cs-dialog-submit-area" }, co = /* @__PURE__ */ G({
  __name: "ToolCode",
  props: {
    confirm: { type: Function },
    container: {}
  },
  setup(e) {
    const t = e;
    function n() {
      ne(null, t.container);
    }
    const a = M(""), r = M(""), i = [
      { value: "cpp", name: "C++" },
      { value: "pascal", name: "Pascal" },
      { value: "c", name: "C" },
      { value: "javascript", name: "Javascript" },
      { value: "java", name: "Java" },
      { value: "markdown", name: "Markdown" },
      { value: "latex", name: "LaTeX" }
    ];
    return (o, s) => (S(), ke(vt, { onClose: n }, {
      header: Z(() => [
        De(A(w(C)("code-insert")), 1)
      ]),
      default: Z(() => [
        p("div", null, [
          p("div", ao, [
            p("div", ro, A(w(C)("code-select")), 1),
            ae(p("select", {
              "onUpdate:modelValue": s[0] || (s[0] = (l) => a.value = l),
              class: "cs-dialog-item-content"
            }, [
              (S(), I(ve, null, pe(i, (l) => p("option", {
                key: l.value,
                value: l.value
              }, A(l.name), 9, io)), 64))
            ], 512), [
              [ca, a.value]
            ])
          ]),
          p("div", oo, [
            p("div", so, A(w(C)("code")), 1),
            ae(p("textarea", {
              class: "cs-dialog-item-content",
              "onUpdate:modelValue": s[1] || (s[1] = (l) => r.value = l)
            }, null, 512), [
              [fe, r.value]
            ])
          ]),
          p("div", lo, [
            p("button", {
              class: "cs-dialog-button cs-dialog-button-info",
              onClick: n
            }, A(w(C)("cancel")), 1),
            p("button", {
              class: "cs-dialog-button cs-dialog-button-info",
              onClick: s[2] || (s[2] = () => {
                t.confirm(a.value, r.value), n();
              })
            }, A(w(C)("confirm")), 1)
          ])
        ])
      ]),
      _: 1
    }));
  }
}), fo = { class: "cs-dialog-item" }, uo = { class: "cs-dialog-item-label" }, mo = { class: "cs-dialog-item" }, vo = { class: "cs-dialog-item-label" }, po = {
  key: 0,
  class: "cs-dialog-item"
}, go = { class: "cs-dialog-submit-area" }, bo = /* @__PURE__ */ G({
  __name: "ToolImage",
  props: {
    confirm: { type: Function },
    upload: { type: Function },
    container: {}
  },
  setup(e) {
    const t = e;
    function n() {
      ne(null, t.container);
    }
    const a = M(""), r = M(""), i = M(null), o = M(!1);
    function s(m) {
      var y;
      if ((y = m.dataTransfer) != null && y.items) {
        for (let x = 0; x < m.dataTransfer.items.length; x++)
          if (m.dataTransfer.items[x].kind === "file") {
            o.value = !0;
            return;
          }
      }
    }
    function l(m) {
      o.value = !1;
    }
    function f(m) {
      m.preventDefault();
    }
    function c(m) {
      if (!t.upload || (o.value = !1, !m.dataTransfer))
        return;
      const y = t.upload(m.dataTransfer.files);
      y && (r.value = y[0].alt, a.value = y[0].url), m.preventDefault();
    }
    function u() {
      var m;
      (m = i.value) == null || m.click();
    }
    function b() {
      var m;
      if (t.upload && (m = i.value) != null && m.files) {
        const y = t.upload(i.value.files);
        y && (r.value = y[0].alt, a.value = y[0].url);
      }
    }
    return (m, y) => (S(), ke(vt, { onClose: n }, {
      header: Z(() => [
        De(A(w(C)("image-insert")), 1)
      ]),
      default: Z(() => [
        p("div", null, [
          p("div", fo, [
            p("div", uo, A(w(C)("image-url")), 1),
            ae(p("input", {
              type: "text",
              "onUpdate:modelValue": y[0] || (y[0] = (x) => a.value = x),
              class: "cs-dialog-item-content"
            }, null, 512), [
              [fe, a.value]
            ])
          ]),
          p("div", mo, [
            p("div", vo, A(w(C)("image-alt")), 1),
            ae(p("input", {
              type: "text",
              "onUpdate:modelValue": y[1] || (y[1] = (x) => r.value = x),
              class: "cs-dialog-item-content"
            }, null, 512), [
              [fe, r.value]
            ])
          ]),
          t.upload ? (S(), I("div", po, [
            p("div", {
              class: "cs-dialog-upload",
              onClick: u,
              onDragenter: s,
              onDragleave: l,
              onDragover: f,
              onDrop: c
            }, A(w(C)("image-upload")), 33),
            p("input", {
              type: "file",
              ref_key: "inputImage",
              ref: i,
              style: { display: "none" },
              onChange: b
            }, null, 544)
          ])) : ce("", !0),
          p("div", go, [
            p("button", {
              class: "cs-dialog-button cs-dialog-button-info",
              onClick: n
            }, A(w(C)("cancel")), 1),
            p("button", {
              class: "cs-dialog-button cs-dialog-button-info",
              onClick: y[2] || (y[2] = () => {
                t.confirm(a.value, r.value), n();
              })
            }, A(w(C)("confirm")), 1)
          ])
        ])
      ]),
      _: 1
    }));
  }
}), ho = { class: "cs-dialog-container" }, yo = { class: "cs-dialog-sidebar" }, ko = { class: "cs-dialog-header" }, wo = { class: "cs-dialog-view" }, xo = /* @__PURE__ */ G({
  __name: "MDialogExtra",
  emits: ["close"],
  setup(e, { emit: t }) {
    const n = t, a = M(void 0);
    return (r, i) => (S(), I("div", ho, [
      p("div", {
        class: "cs-dialog cs-dialog-big",
        ref_key: "dialog",
        ref: a
      }, [
        p("div", yo, [
          p("div", ko, [
            Ee(r.$slots, "header"),
            p("div", {
              class: "cs-close-container",
              onClick: i[0] || (i[0] = (o) => n("close"))
            }, [
              K(w(ct), {
                icon: w($).xmark,
                class: "cs-icon"
              }, null, 8, ["icon"])
            ])
          ]),
          Ee(r.$slots, "default")
        ]),
        p("div", wo, [
          Ee(r.$slots, "view")
        ])
      ], 512)
    ]));
  }
}), _o = { class: "cs-dialog-item" }, Ao = { class: "cs-dialog-item-label" }, Co = { class: "cs-dialog-item" }, So = { class: "cs-dialog-item-label" }, Oo = { class: "cs-dialog-area" }, To = { class: "submit-area" }, Eo = { class: "cs-dialog-table-editor" }, No = ["data-x", "data-y"], Mo = /* @__PURE__ */ G({
  __name: "ToolTable",
  props: {
    confirm: { type: Function },
    container: {}
  },
  setup(e) {
    const t = e;
    function n() {
      ne(null, t.container);
    }
    const a = M(1), r = M(1), i = M([NaN, NaN]), o = M([NaN, NaN]), s = M(""), l = M(!1), f = M([[""]]);
    function c() {
      for (a.value = Math.max(1, a.value), r.value = Math.max(1, r.value), a.value = Math.min(100, a.value), r.value = Math.min(100, r.value); f.value.length < a.value; )
        f.value.push([]);
      for (; f.value.length > a.value; )
        f.value.pop();
      for (let k of f.value) {
        for (; k.length < r.value; )
          k.push("");
        for (; k.length > r.value; )
          k.pop();
      }
    }
    function u(k, d) {
      return i.value[0] <= k && k <= o.value[0] && i.value[1] <= d && d <= o.value[1];
    }
    function b(k) {
      if (k.target) {
        l.value = !1;
        const d = Number.parseInt(k.target.dataset.x || "-1"), v = Number.parseInt(k.target.dataset.y || "-1");
        i.value = o.value = [d, v];
      }
    }
    function m(k) {
      if (!l.value && !Number.isNaN(i.value[0]) && k.target) {
        const d = Number.parseInt(k.target.dataset.x || "-1"), v = Number.parseInt(k.target.dataset.y || "-1");
        o.value = [d, v];
      }
    }
    function y(k) {
      l.value = !0;
    }
    function x() {
      let [k, d] = i.value, [v, _] = o.value;
      if (0 <= k && k < a.value && 0 <= v && v < a.value && 0 <= d && d < r.value && 0 <= _ && _ < r.value)
        for (let O = k; O <= v; O++)
          for (let E = d; E <= _; E++)
            f.value[O][E] = s.value;
    }
    return ze(a, c), ze(r, c), (k, d) => (S(), ke(xo, { onClose: n }, {
      header: Z(() => [
        De(A(w(C)("table-insert")), 1)
      ]),
      view: Z(() => [
        p("table", Eo, [
          p("tbody", null, [
            (S(!0), I(ve, null, pe(Object.entries(f.value), ([v, _]) => (S(), I("tr", null, [
              (S(!0), I(ve, null, pe(Object.entries(_), ([O, E]) => (S(), I("td", {
                "data-x": v,
                "data-y": O,
                class: Oe({ selected: u(Number.parseInt(v), Number.parseInt(O)) }),
                onMousedown: b,
                onMouseenter: m,
                onMouseup: y
              }, A(E) + "  ", 43, No))), 256))
            ]))), 256))
          ])
        ])
      ]),
      default: Z(() => [
        p("div", _o, [
          p("div", Ao, A(w(C)("table-rows")), 1),
          ae(p("input", {
            type: "number",
            "onUpdate:modelValue": d[0] || (d[0] = (v) => a.value = v),
            class: "cs-dialog-item-content",
            min: "1",
            max: "100"
          }, null, 512), [
            [fe, a.value]
          ])
        ]),
        p("div", Co, [
          p("div", So, A(w(C)("table-cols")), 1),
          ae(p("input", {
            type: "number",
            "onUpdate:modelValue": d[1] || (d[1] = (v) => r.value = v),
            class: "cs-dialog-item-content",
            min: "1",
            max: "100"
          }, null, 512), [
            [fe, r.value]
          ])
        ]),
        p("div", { class: "cs-dialog-item" }, [
          p("button", {
            class: "cs-dialog-button cs-dialog-button-info",
            onClick: x
          }, "修改")
        ]),
        p("div", Oo, [
          p("h3", null, A(w(C)("table-edit")), 1),
          ae(p("textarea", {
            "onUpdate:modelValue": d[2] || (d[2] = (v) => s.value = v)
          }, null, 512), [
            [fe, s.value]
          ])
        ]),
        p("div", To, [
          p("button", {
            class: "cs-dialog-button cs-dialog-button-info",
            onClick: n
          }, A(w(C)("cancel")), 1),
          p("button", {
            class: "cs-dialog-button cs-dialog-button-info",
            onClick: d[3] || (d[3] = () => {
              k.confirm(a.value, r.value, f.value), n();
            })
          }, A(w(C)("confirm")), 1)
        ])
      ]),
      _: 1
    }));
  }
}), Po = { class: "cs-dialog-item" }, zo = { class: "cs-dialog-item-label" }, Io = { class: "cs-dialog-item" }, Lo = { class: "cs-dialog-item-label" }, Ho = { class: "submit-area" }, $o = /* @__PURE__ */ G({
  __name: "ToolLink",
  props: {
    confirm: { type: Function },
    container: {}
  },
  setup(e) {
    const t = e;
    function n() {
      ne(null, t.container);
    }
    const a = M(""), r = M("");
    return (i, o) => (S(), ke(vt, { onClose: n }, {
      header: Z(() => [
        De(A(w(C)("link-insert")), 1)
      ]),
      default: Z(() => [
        p("div", null, [
          p("div", Po, [
            p("div", zo, A(w(C)("link-url")), 1),
            ae(p("input", {
              type: "text",
              "onUpdate:modelValue": o[0] || (o[0] = (s) => a.value = s),
              class: "cs-dialog-item-content"
            }, null, 512), [
              [fe, a.value]
            ])
          ]),
          p("div", Io, [
            p("div", Lo, A(w(C)("link-alt")), 1),
            ae(p("input", {
              type: "text",
              "onUpdate:modelValue": o[1] || (o[1] = (s) => r.value = s),
              class: "cs-dialog-item-content"
            }, null, 512), [
              [fe, r.value]
            ])
          ]),
          p("div", Ho, [
            p("button", {
              class: "cs-dialog-button cs-dialog-button-info",
              onClick: n
            }, A(w(C)("cancel")), 1),
            p("button", {
              class: "cs-dialog-button cs-dialog-button-info",
              onClick: o[2] || (o[2] = () => {
                t.confirm(a.value, r.value), n();
              })
            }, A(w(C)("confirm")), 1)
          ])
        ])
      ]),
      _: 1
    }));
  }
}), Ro = /* @__PURE__ */ p("div", null, null, -1), Do = /* @__PURE__ */ G({
  __name: "ToolHelp",
  props: {
    confirm: { type: Function },
    container: {}
  },
  setup(e) {
    const t = e;
    function n() {
      ne(null, t.container);
    }
    return (a, r) => (S(), ke(vt, { onClose: n }, {
      header: Z(() => [
        De(A(w(C)("help")), 1)
      ]),
      default: Z(() => [
        Ro
      ]),
      _: 1
    }));
  }
});
let C = () => "";
function Fo(e) {
  const t = Array.isArray(e) ? Object.assign({}, Zt, ...e) : Object.assign({}, Zt, e);
  C = (n) => t[n] || n;
}
function jo() {
  const t = this.data();
  (t.micromarkExtensions || (t.micromarkExtensions = [])).push({ disable: { null: ["htmlText", "htmlFlow"] } });
}
function Kt() {
  return {
    remark: [
      pa,
      jo
    ],
    rehype: [],
    remarkRehypeOptions: {},
    codemirror: [
      ga({
        base: ba,
        extensions: [
          { remove: ["HTMLBlock", "HTMLTag"] }
        ],
        completeHTMLTags: !1
      })
    ],
    toolbarL: ms(),
    toolbarR: ds()
  };
}
const Vo = {
  name: "increase-level",
  icon: $.headingup,
  func: (e) => {
    const t = e.state, n = t.update(t.changeByRange((a) => {
      const r = t.doc.lineAt(a.from).number, i = t.doc.lineAt(a.to).number, o = [];
      let s = 0, l = t.doc.line(r).from;
      for (let f = r; f <= i; f++) {
        const c = t.doc.line(f), u = c.text;
        console.log(c.text);
        let b = 0, m = 0, y = 0;
        const x = u.length;
        for (; b < x && u[b] === " "; )
          b++;
        for (m = b; m < x && u[m] === "#"; )
          m++;
        for (y = m; y < x && u[y] === " "; )
          y++;
        const k = m - b, d = Math.min(k + 1, 6), v = d === 0 ? "" : "#".repeat(d) + " ";
        o.push({
          from: c.from,
          to: c.from + y,
          insert: v
        }), f === r && (s = c.from), l = l + c.length + v.length - y + 1;
      }
      return l--, {
        changes: o,
        range: B.range(s, l)
      };
    }));
    e.update([n]), e.focus();
  }
}, Bo = {
  name: "decrease-level",
  icon: $.headingdown,
  func: (e) => {
    const t = e.state, n = t.update(t.changeByRange((a) => {
      const r = t.doc.lineAt(a.from).number, i = t.doc.lineAt(a.to).number, o = [];
      let s = 0, l = t.doc.line(r).from;
      for (let f = r; f <= i; f++) {
        const c = t.doc.line(f), u = c.text;
        let b = 0, m = 0, y = 0;
        const x = u.length;
        for (; b < x && u[b] === " "; )
          b++;
        for (m = b; m < x && u[m] === "#"; )
          m++;
        for (y = m; y < x && u[y] === " "; )
          y++;
        const k = m - b, d = Math.max(k - 1, 0), v = d === 0 ? "" : "#".repeat(d) + " ";
        o.push({
          from: c.from,
          to: c.from + y,
          insert: v
        }), f === r && (s = c.from), l = l + c.length + v.length - y + 1;
      }
      return l--, {
        changes: o,
        range: B.range(s, l)
      };
    }));
    e.update([n]), e.focus();
  }
}, Yo = {
  name: "horizontal",
  icon: $.line,
  func: (e) => {
    const t = e.state, n = t.update(t.changeByRange((a) => {
      const r = `

---

`;
      return {
        changes: [
          { from: a.from, to: a.to },
          { from: a.from, insert: r }
        ],
        range: B.range(a.from + r.length, a.from + r.length)
      };
    }));
    e.update([n]), e.focus();
  }
}, Uo = {
  name: "bold",
  icon: $.bold,
  func: (e) => {
    const t = e.state, n = t.update(t.changeByRange((a) => ({
      changes: [
        { from: a.from, insert: "**" },
        { from: a.to, insert: "**" }
      ],
      range: B.range(a.from + 2, a.to + 2)
    })));
    e.update([n]), e.focus();
  }
}, Wo = {
  name: "italic",
  icon: $.italic,
  func: (e) => {
    const t = e.state, n = t.update(t.changeByRange((a) => ({
      changes: [
        { from: a.from, insert: " _" },
        { from: a.to, insert: "_ " }
      ],
      range: B.range(a.from + 2, a.to + 2)
    })));
    e.update([n]), e.focus();
  }
}, Go = {
  name: "strikethrough",
  icon: $.strikethrough,
  func: (e) => {
    const t = e.state, n = t.update(t.changeByRange((a) => ({
      changes: [
        { from: a.from, insert: "~~" },
        { from: a.to, insert: "~~" }
      ],
      range: B.range(a.from + 2, a.to + 2)
    })));
    e.update([n]), e.focus();
  }
}, qo = {
  name: "link",
  icon: $.link,
  func: (e, t, n) => {
    function a(i, o) {
      const s = e.state, l = s.update(s.changeByRange((f) => {
        const c = `[${o}](${i})`;
        return {
          changes: [
            { from: f.from, to: f.to },
            { from: f.from, insert: c }
          ],
          range: B.range(f.from + c.length, f.from + c.length)
        };
      }));
      e.update([l]), e.focus();
    }
    const r = K(
      $o,
      {
        confirm: a,
        container: n
      }
    );
    ne(r, n);
  }
}, Xo = {
  name: "image",
  icon: $.image,
  func: (e, t, n) => {
    function a(i, o) {
      const s = e.state, l = s.update(s.changeByRange((f) => {
        const c = `![${o}](${i})`;
        return {
          changes: [
            { from: f.from, to: f.to },
            { from: f.from, insert: c }
          ],
          range: B.range(f.from + c.length, f.from + c.length)
        };
      }));
      e.update([l]), e.focus();
    }
    const r = K(
      bo,
      {
        confirm: a,
        upload: t.data.upload,
        container: n
      }
    );
    ne(r, n);
  }
}, Ko = {
  name: "code",
  icon: $.code,
  func: (e, t, n) => {
    function a(i, o) {
      const s = e.state, l = s.update(s.changeByRange((f) => {
        const c = `
\`\`\`${i}
${o}
\`\`\`
`;
        return {
          changes: [
            { from: f.from, to: f.to },
            { from: f.from, insert: c }
          ],
          range: B.range(f.from + c.length, f.from + c.length)
        };
      }));
      e.update([l]), e.focus();
    }
    const r = K(
      co,
      {
        confirm: a,
        container: n
      }
    );
    ne(r, n);
  }
}, Qo = {
  name: "table",
  icon: $.table,
  func: (e, t, n) => {
    function a(i, o, s) {
      const l = e.state, f = l.update(l.changeByRange((c) => {
        let u = `

`;
        for (let b = 0; b < i; b++) {
          for (let m = 0; m < o; m++)
            u += "|" + s[b][m];
          if (u += `|
`, b === 0) {
            for (let m = 0; m < o; m++)
              u += "|:-:";
            u += `|
`;
          }
        }
        return u += `
`, {
          changes: [
            { from: c.from, to: c.to },
            { from: c.from, insert: u }
          ],
          range: B.range(c.from + u.length, c.from + u.length)
        };
      }));
      e.update([f]), e.focus();
    }
    const r = K(
      Mo,
      {
        confirm: a,
        container: n
      }
    );
    ne(r, n);
  }
}, Jo = {
  name: "quote",
  icon: $.quote,
  func: (e) => {
    const t = e.state, n = t.update(t.changeByRange((a) => {
      const r = t.doc.lineAt(a.from).number, i = t.doc.lineAt(a.to).number, o = [];
      let s = 0, l = t.doc.line(r).from;
      for (let f = r; f <= i; f++) {
        const c = t.doc.line(f), u = "> ";
        o.push({
          from: c.from,
          insert: u
        }), f === r && (s = c.from), l = l + c.length + u.length + 1;
      }
      return l--, {
        changes: o,
        range: B.range(s, l)
      };
    }));
    e.update([n]), e.focus();
  }
}, Zo = {
  name: "unordered-list",
  icon: $.listul,
  func: (e) => {
    const t = e.state, n = t.update(t.changeByRange((a) => {
      const r = t.doc.lineAt(a.from).number, i = t.doc.lineAt(a.to).number, o = [];
      let s = 0, l = t.doc.line(r).from;
      for (let f = r; f <= i; f++) {
        const c = t.doc.line(f), u = "- ";
        o.push({
          from: c.from,
          insert: u
        }), f === r && (s = c.from), l = l + c.length + u.length + 1;
      }
      return l--, {
        changes: o,
        range: B.range(s, l)
      };
    }));
    e.update([n]), e.focus();
  }
}, es = {
  name: "ordered-list",
  icon: $.listol,
  func: (e) => {
    const t = e.state, n = t.update(t.changeByRange((a) => {
      const r = t.doc.lineAt(a.from).number, i = t.doc.lineAt(a.to).number, o = [];
      let s = 0, l = t.doc.line(r).from;
      for (let f = r; f <= i; f++) {
        const c = t.doc.line(f), u = "1. ";
        o.push({
          from: c.from,
          insert: u
        }), f === r && (s = c.from), l = l + c.length + u.length + 1;
      }
      return l--, {
        changes: o,
        range: B.range(s, l)
      };
    }));
    e.update([n]), e.focus();
  }
}, ts = {
  name: "task-list",
  icon: $.listtask,
  func: (e) => {
    const t = e.state, n = t.update(t.changeByRange((a) => {
      const r = t.doc.lineAt(a.from).number, i = t.doc.lineAt(a.to).number, o = [];
      let s = 0, l = t.doc.line(r).from;
      for (let f = r; f <= i; f++) {
        const c = t.doc.line(f), u = "- [ ] ";
        o.push({
          from: c.from,
          insert: u
        }), f === r && (s = c.from), l = l + c.length + u.length + 1;
      }
      return l--, {
        changes: o,
        range: B.range(s, l)
      };
    }));
    e.update([n]), e.focus();
  }
}, ns = {
  name: "only-editor",
  icon: $.editor,
  func: (e, t, n) => {
    t.showViewer ? (t.showEditor = !0, t.showViewer = !1) : t.showViewer = !0;
  }
}, as = {
  name: "only-viewer",
  icon: $.viewer,
  func: (e, t, n) => {
    t.showEditor ? (t.showViewer = !0, t.showEditor = !1) : t.showEditor = !0;
  }
}, rs = {
  name: "full-screen",
  icon: $.expand,
  func: (e, t, n) => {
    t.fullScreen = !t.fullScreen;
  }
}, is = {
  name: "help",
  icon: $.help,
  func: (e, t, n) => {
    const a = K(
      Do,
      {
        container: n,
        confirm: () => {
        }
      }
    );
    ne(a, n);
  }
}, os = [Vo, Bo, Yo], ss = [Uo, Wo, Go], ls = [qo, Xo, Ko, Qo], cs = [Jo, Zo, es, ts], fs = [ns, as, rs], us = [is];
function ms() {
  return [
    os,
    ss,
    ls,
    cs
  ];
}
function ds() {
  return [
    fs,
    us
  ];
}
const vs = /* @__PURE__ */ G({
  __name: "MEditor",
  props: /* @__PURE__ */ at({
    plugins: { default: Kt },
    disabled: { type: Boolean }
  }, {
    modelValue: {
      required: !0
    },
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(e) {
    const t = e, n = Lt(e, "modelValue"), a = X(() => [
      // Enable automatic line wrapping
      Jt.lineWrapping,
      Jt.theme({
        // Disable the native dashed border when codemirror is focused.
        "&.cm-focused": {
          outline: "none"
        },
        // Make the editor occupy the entire height.
        "&.cm-editor": {
          height: "100%"
        },
        // Solve the problem that codemirror cannot be scrolled when in full-screen.
        // I'm confused why z-index is set to 0 by default.
        "&.cm-scroller": {
          "z-index": "auto"
        }
      }),
      // Allow addtional plugins provided by the user.
      // Such as themes, key-binding, etc.
      t.plugins.codemirror || []
    ]);
    return (r, i) => (S(), ke(w(va), {
      modelValue: n.value,
      "onUpdate:modelValue": i[0] || (i[0] = (o) => n.value = o),
      extensions: a.value,
      disabled: t.disabled
    }, null, 8, ["modelValue", "extensions", "disabled"]));
  }
}), ps = ["innerHTML"], gs = /* @__PURE__ */ G({
  __name: "MViewer",
  props: /* @__PURE__ */ at({
    plugins: { default: Kt },
    interval: { default: 0 }
  }, {
    modelValue: {
      required: !0
    },
    modelModifiers: {}
  }),
  emits: /* @__PURE__ */ at(["update"], ["update:modelValue"]),
  setup(e, { emit: t }) {
    const n = e, a = Lt(e, "modelValue"), r = M(null), i = M(null), o = M(""), s = t, l = function() {
      return (m) => {
        i.value = m;
      };
    };
    function f() {
      const m = ha();
      return m.use(ya), n.plugins.remark && m.use(n.plugins.remark), m.use(ka, n.plugins.remarkRehypeOptions), n.plugins.rehype && m.use(n.plugins.rehype), m.use(l), m.use(wa, { allowDangerousHtml: !0 }), m.freeze(), m;
    }
    const c = f();
    async function u(m) {
      return c.process(m);
    }
    const b = xa(() => {
      try {
        u(a.value).then((m) => {
          o.value = m.toString(), fa().then(() => {
            s("update", i.value, r.value);
          });
        });
      } catch (m) {
        console.log(m);
      }
    }, n.interval);
    return ze(a, () => {
      b();
    }), Tn(() => {
      b();
    }), (m, y) => (S(), I("div", {
      class: "markdown",
      innerHTML: o.value,
      ref_key: "real",
      ref: r
    }, null, 8, ps));
  }
}), bs = { class: "cs-toolbar" }, hs = { class: "cs-toolbar-group" }, ys = ["onClick"], ks = { class: "cs-toolbar-tool-button" }, ws = { class: "cs-tooltip" }, xs = { class: "cs-toolbar-group" }, _s = ["onClick"], As = { class: "cs-toolbar-tool-button" }, Cs = { class: "cs-tooltip" }, Ss = /* @__PURE__ */ G({
  __name: "MToolbar",
  props: {
    toolbarL: {},
    toolbarR: {},
    getCodemirror: { type: Function },
    getCasketstar: { type: Function },
    dialog: {},
    disabled: { type: Boolean }
  },
  setup(e) {
    const t = e;
    function n(a) {
      if (t.disabled)
        return;
      const r = t.getCodemirror(), i = t.getCasketstar();
      r && i && a.func(r, i, t.dialog);
    }
    return (a, r) => (S(), I("div", bs, [
      p("div", null, [
        t.toolbarL ? (S(!0), I(ve, { key: 0 }, pe(t.toolbarL, (i) => (S(), I("span", hs, [
          (S(!0), I(ve, null, pe(i, (o) => (S(), I("span", {
            class: "cs-toolbar-tool",
            onClick: (s) => n(o)
          }, [
            p("span", ks, [
              K(w(ct), {
                icon: o.icon,
                class: "cs-icon"
              }, null, 8, ["icon"])
            ]),
            p("span", ws, A(w(C)(o.name)), 1)
          ], 8, ys))), 256))
        ]))), 256)) : ce("", !0)
      ]),
      p("div", null, [
        t.toolbarR ? (S(!0), I(ve, { key: 0 }, pe(t.toolbarR, (i) => (S(), I("span", xs, [
          (S(!0), I(ve, null, pe(i, (o) => (S(), I("span", {
            class: "cs-toolbar-tool",
            onClick: (s) => n(o)
          }, [
            p("span", As, [
              K(w(ct), {
                icon: o.icon,
                class: "cs-icon"
              }, null, 8, ["icon"])
            ]),
            p("span", Cs, A(w(C)(o.name)), 1)
          ], 8, _s))), 256))
        ]))), 256)) : ce("", !0)
      ])
    ]));
  }
}), Os = {
  key: 0,
  class: "cs-header"
}, Ts = {
  key: 1,
  class: "cs-footer"
}, Es = { class: "cs-footer-left" }, Ns = { class: "cs-footer-right" }, Vs = /* @__PURE__ */ G({
  __name: "CasketStar",
  props: /* @__PURE__ */ at({
    plugins: { default: Kt },
    hideHeader: { type: Boolean, default: !1 },
    hideFooter: { type: Boolean, default: !1 },
    lang: { default: () => [] },
    upload: { type: Function, default: void 0 },
    height: { default: "400px" },
    disabled: { type: Boolean, default: !1 }
  }, {
    modelValue: { required: !0 },
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(e) {
    let t;
    const n = e, a = M({
      showEditor: !0,
      showViewer: !0,
      fullScreen: !1,
      interval: 100,
      data: {
        upload: n.upload
      }
    });
    ze(a.value, () => {
      v();
    });
    const r = Lt(e, "modelValue");
    Fo(n.lang);
    const i = M(!1);
    function o(N) {
      t = N.view, c.value = t.scrollDOM, c.value.onscroll = () => V(), c.value.ondragover = sa, c.value.ondragenter = ia, c.value.ondragleave = oa, c.value.ondrop = la;
    }
    let s = [], l = [];
    const f = M(!0), c = M(null), u = M(null), b = M(null);
    let m = null, y = null;
    function x() {
      return c.value ? c.value.scrollHeight - c.value.getBoundingClientRect().height : 0;
    }
    function k() {
      return u.value ? u.value.scrollHeight - u.value.getBoundingClientRect().height : 0;
    }
    function d() {
      var F;
      if (!t || !c.value || !u.value || !f.value || !m || !y)
        return;
      s = [0], l = [0];
      for (const L of m.children)
        ((F = L.position) == null ? void 0 : F.start.offset) !== void 0 && s.push(L.position.start.offset);
      const N = u.value.scrollTop - u.value.getBoundingClientRect().top;
      let T = 0;
      for (const [L, Y] of Object.entries(y.children))
        if (!Y.classList.contains("katex-display")) {
          const { top: U, bottom: j } = Y.getBoundingClientRect();
          l.push(U + N), T = j + N;
        }
      s.push(t.state.doc.length), l.push(T);
    }
    const v = _a(d, 200);
    function _(N, T) {
      m = N, y = T, v(), V();
    }
    function O() {
      return t;
    }
    function E() {
      return a.value;
    }
    let R = "editor";
    function V(N) {
      var L, Y;
      if (!t || !c.value || N !== !0 && (R !== "editor" || !f.value))
        return;
      const T = c.value.scrollTop, F = t.lineBlockAtHeight(T).from;
      if (T + 1 >= x()) {
        (L = u.value) == null || L.scrollTo({ top: k() + 10 });
        return;
      }
      for (let U = 0; U + 1 < s.length; U++) {
        const j = s[U], Be = s[U + 1], Ye = t.lineBlockAt(j).top, Ue = t.lineBlockAt(Be).top;
        if (j <= F && F < Be) {
          const gt = (T - Ye) / (Ue - Ye), bt = l[U] + gt * (l[U + 1] - l[U]);
          (Y = u.value) == null || Y.scrollTo({ top: bt });
          return;
        }
      }
    }
    function Se() {
      var T, F;
      if (R !== "viewer" || !t || !u.value || !f.value)
        return;
      const N = u.value.scrollTop;
      if (N + 1 >= k()) {
        (T = c.value) == null || T.scrollTo({ top: x() + 10 });
        return;
      }
      for (let L = 0; L + 1 < s.length; L++) {
        const Y = l[L], U = l[L + 1], j = (N - Y) / (U - Y);
        if (Y <= N && N < U) {
          const Be = s[L], Ye = s[L + 1], Ue = t.lineBlockAt(Be).top, gt = t.lineBlockAt(Ye).top, bt = j * (gt - Ue);
          (F = c.value) == null || F.scrollTo({ top: Ue + bt });
          return;
        }
      }
    }
    function ee() {
      f.value ? f.value = !1 : (f.value = !0, d(), V(!0));
    }
    function pt() {
      c.value && c.value.scrollTo({ top: 0 }), u.value && u.value.scrollTo({ top: 0 });
    }
    function ia(N) {
      var T;
      if ((T = N.dataTransfer) != null && T.items) {
        for (let F = 0; F < N.dataTransfer.items.length; F++)
          if (N.dataTransfer.items[F].kind === "file") {
            i.value = !0;
            return;
          }
      }
    }
    function oa(N) {
      i.value = !1;
    }
    function sa(N) {
      N.preventDefault();
    }
    function la(N) {
      var F;
      if (!n.upload || (i.value = !1, !((F = N.dataTransfer) != null && F.files)))
        return;
      const T = n.upload(N.dataTransfer.files);
      if (T !== void 0 && t) {
        const L = t.state;
        let Y = "";
        for (let j = 0; j < T.length; j++)
          Y += `![${T[j].alt}](${T[j].url})`;
        const U = L.update(L.changeByRange((j) => ({
          changes: [
            { from: j.from, to: j.to },
            { from: j.from, insert: Y }
          ],
          range: B.range(j.from + Y.length, j.from + Y.length)
        })));
        t.update([U]), t.focus();
      }
      N.preventDefault();
    }
    return Tn(() => {
      addEventListener("resize", v);
    }), ua(() => {
      t == null || t.destroy();
    }), (N, T) => {
      var F;
      return S(), I("div", {
        class: Oe(["casket cs-main", { "cs-full-screen": a.value.fullScreen }])
      }, [
        n.hideHeader ? ce("", !0) : (S(), I("div", Os, [
          K(Ss, {
            toolbarL: n.plugins.toolbarL,
            toolbarR: n.plugins.toolbarR,
            "get-codemirror": O,
            "get-casketstar": E,
            dialog: b.value,
            disabled: n.disabled
          }, null, 8, ["toolbarL", "toolbarR", "dialog", "disabled"])
        ])),
        p("div", {
          class: "cs-content",
          style: ma({ height: n.height })
        }, [
          a.value.showEditor ? (S(), I("div", {
            key: 0,
            class: Oe(["cs-editor", {
              "cs-midline": a.value.showViewer,
              "cs-zone-half": a.value.showViewer,
              "cs-zone-full": !a.value.showViewer
            }]),
            onMouseover: T[1] || (T[1] = (L) => Qt(R) ? R.value = "editor" : R = "editor")
          }, [
            K(vs, {
              modelValue: r.value,
              "onUpdate:modelValue": T[0] || (T[0] = (L) => r.value = L),
              plugins: N.plugins,
              onReady: o,
              disabled: n.disabled
            }, null, 8, ["modelValue", "plugins", "disabled"]),
            n.upload ? (S(), I("div", {
              key: 0,
              class: Oe(["cs-upload", { dragging: i.value }])
            }, A(w(C)("release-to-update")), 3)) : ce("", !0)
          ], 34)) : ce("", !0),
          a.value.showViewer ? (S(), I("div", {
            key: 1,
            class: Oe(["cs-viewer", {
              "cs-zone-half": a.value.showEditor,
              "cs-zone-full": !a.value.showEditor
            }]),
            ref_key: "viewer",
            ref: u,
            onScroll: Se,
            onMouseover: T[3] || (T[3] = (L) => Qt(R) ? R.value = "viewer" : R = "viewer")
          }, [
            K(gs, {
              modelValue: r.value,
              "onUpdate:modelValue": T[2] || (T[2] = (L) => r.value = L),
              plugins: N.plugins,
              onUpdate: _,
              interval: a.value.interval
            }, null, 8, ["modelValue", "plugins", "interval"])
          ], 34)) : ce("", !0)
        ], 4),
        n.hideFooter ? ce("", !0) : (S(), I("div", Ts, [
          p("div", Es, A(w(C)("character-count")) + A(((F = O()) == null ? void 0 : F.state.doc.length) || 0) + A(w(C)("character")), 1),
          p("div", Ns, [
            p("span", {
              class: "cs-footer-button",
              onClick: ee
            }, A(f.value ? w(C)("sync-disable") : w(C)("sync-enable")), 1),
            p("span", {
              class: "cs-footer-button",
              onClick: pt
            }, A(w(C)("back-to-top")), 1)
          ])
        ])),
        (S(), ke(da, { to: "body" }, [
          p("div", {
            class: "casket",
            ref_key: "dialog",
            ref: b
          }, null, 512)
        ]))
      ], 2);
    };
  }
});
export {
  vs as CasketEditor,
  Vs as CasketStar,
  gs as CasketViewer,
  ct as FontAwesomeIcon,
  vt as MDialog,
  xo as MDialogExtra,
  Uo as ToolBold,
  Ko as ToolCode,
  Bo as ToolDecrease,
  rs as ToolFullScreen,
  cs as ToolGroupBlock,
  fs as ToolGroupCasket,
  us as ToolGroupHelp,
  ss as ToolGroupInline,
  ls as ToolGroupInterline,
  os as ToolGroupTitle,
  is as ToolHelp,
  Yo as ToolHorizontal,
  Xo as ToolImage,
  Vo as ToolIncrease,
  Wo as ToolItalic,
  qo as ToolLink,
  es as ToolOList,
  ns as ToolOnlyEdit,
  as as ToolOnlyView,
  Jo as ToolQuote,
  Go as ToolStrikethrough,
  Qo as ToolTable,
  ts as ToolTaskList,
  Zo as ToolUList,
  Us as commonmarkLanguage,
  $ as defaultIcons,
  Kt as getDefaultPlugins,
  ms as getDefaultToolbarL,
  ds as getDefaultToolbarR,
  C as i18n,
  Fo as initI18n,
  Ws as markdown,
  Gs as markdownLanguage,
  jo as remarkNoHtml
};
